﻿--[[
    Project: AtlasMajorCities Simplified Chinese Translation
    Author: Yeachan @live.com
    Discripton: Chinese(simp) NPC Plugin for AtlasMajorCities.
    Release Date: May.2009
    Release Version: 1.5
    Internal: AMC.zhCN.15
]]--

if ( GetLocale() == "zhCN" ) then

AMCLocale = {

--Common	
  ["Major Cities"] = "主城";
  ["Dalaran"] = "达拉然 (中立)";
  ["Dal Sewers"] = "达拉然下水道 (中立)";
  ["Darnassus"] = "达纳苏斯 (联盟 - 暗夜精灵)";
  ["Ironforge"] = "铁炉堡 (联盟 - 矮人)";
  ["Orgrimmar"] = "奥格瑞玛 (部落 - 兽人)";
  ["Stormwind"] = "暴风城 (联盟 - 人类)";
  ["Thunder Bluff"] = "雷霆崖 (部落 - 牛头人)";
  ["Undercity"] = "幽暗城 (部落 - 亡灵)";
  ["Shattrath"] = "沙塔斯城 (中立)";
  ["Silvermoon"] = "银月城 (部落 - 血精灵)";
  ["Exodar"] = "埃索达 (联盟 - 德莱尼)";
  
--Locations  
  ["Crystalsong"] = "晶歌森林";
  ["Teldrassil"] = "泰达希尔";
  ["Dun Morogh"] = "丹莫罗";
  ["Durotar"] = "杜隆塔尔";
  ["Elwynn Forest"] = "艾尔文森林";
  ["Mulgore"] = "莫高雷";
  ["Tirisfal Glades"] = "提瑞斯法林地";
  ["Terokkar Forest"] = "泰罗卡森林";
  ["Eversong Woods"] = "永歌森林";
  ["Azuremyst Isle"] = "秘蓝岛";

--Common Names, Items & Buildings  
  ["Inn"] = "旅店";
  ["Mailbox"] = "邮箱";
  ["Forge"] = "熔炉";
  ["Stove"] = "烹饪炉";
  ["AH"] = "拍卖行";
  ["Bank"] = "银行";
  ["Barbershop"] = "理发店";              --no localized
  ["Alliance Brigadier"] = "联盟准将";
  ["Ancients Emmissary"] = "远古海滩大使"; --？？
  ["E Dummy"] = "专家的训练假人";
  ["M Dummy"] = "大师的训练假人";
  ["G Dummy"] = "宗师的训练假人";
  ["H Dummy"] = "英雄训练假人";
  ["Bows"] = "          弓";
  ["Fist Weapons"] = "          拳套";
  ["Staves"] = "          法杖";
  ["Thrown"] = "          投掷武器";
  ["Daggers"] = "          匕首";
  ["Crossbow"] = "          弩";
  ["Guns"] = "          枪";
  ["Polearms"] = "          长柄武器";
  ["One-Handed Maces"] = "          单手锤";
  ["Two-Handed Maces"] = "          双手锤";
  ["Two-Handed Sword"] = "          双手剑";
  ["One-Handed Sword"] = "          单手剑";
  ["One-Handed Axes"] = "          单手斧";
  ["Two-Handed Axes"] = "          双手斧";
  ["PorStor"] = "暴风城传送门";
  ["PorIron"] = "铁炉堡传送门";
  ["PorDarn"] = "达纳苏斯传送门";
  ["PorExod"] = "埃索达传送门";
  ["PorShat"] = "沙塔斯传送门";
  ["PorOrgr"] = "奥格瑞玛传送门";
  ["PorUnde"] = "幽暗城传送门";
  ["PorSilv"] = "银月城传送门";
  ["PorThBl"] = "雷霆崖传送门";
  
--NPC Dalaran
 --White
  ["Krasus Landing"] = "克拉苏斯平台";

  ["Aludane Whitecloud"] = "奥鲁丹·白云 《飞行管理员》";

  ["Hira Snowdawn"] = "希拉·雪晨 《寒冷天气飞行训练师》";

  ["Officer Van Rossem"] = "军官范恩·罗希姆";

 --Orng
  ["Runeweaver Square"] = "鲁因广场";

  ["Entrance to the Sewers"] = "下水道入口";

  ["Magical Menagerie"] = "魔法动物店";
  ["Mei Francis"] = "梅尔·弗兰希斯 《特殊坐骑商人》"; --Mei
  ["Breanni"] = "布琳妮 《宠物商人》";
  ["Tassia Whisperglen"] = "塔西娅·幽谷 《兽栏管理员》";

  ["Teleport to Violet Stand"] = "传送到紫罗兰哨站的水晶";
  ["Archmage Celindra"] = "大法师塞琳德拉 《传送门训练师》";
  ["Warcaster Fanoraithe"] = "战争法师法诺莱斯 《法师训练师》";
  ["Jessa Weaver"] = "叶萨·维尔 《法师训练师》";

  ["The Hunter's Reach"] = "猎人用品店";
  ["Dagna Flintlock"] = "达格娜·火石 《枪械商》";
  ["Jarold Puller"] = "亚罗德·普勒 《特殊弹药商人》";
  ["Aemara"] = "艾玛拉 《弓箭商》";

  ["Aerith Primrose"] = "爱丽丝·普里洛斯 《卖花女》";

  ["The Arsenal Absolute"] = "神兵利器";
  ["Bartram Haller"] = "巴尔塔姆·霍勒 《匕首与拳套》";
  ["Kerta the Bold"] = "大胆的科尔塔 《斧与长柄武器商人》";
  ["Valaden Silverblade"] = "瓦拉丁·银刃 《利剑商人》";
  ["Walther Whiteford"] = "瓦瑟尔·白弗德 《钉锤商人》";

  ["Dalaran Visitor Center"] = "达拉然访客中心";
  ["Andrew Matthews"] = "安德鲁·马休 《公会注册员》";
  ["Elizabeth Ross"] = "伊丽莎白·罗斯 《战袍商人》";
  ["Archivist Betha"] = "档案员蓓塔 《城市历史学家》";

  ["Curiosities & Moore"] = "摩尔珍品店";
  ["Debbi Moore"] = "黛比·摩尔 《饰品和护符》";
  ["Brammold Deepmine"] = "布拉莫德·深井 《古董和传家宝》"; --32509
  ["Orton Bennet"] = "奥尔顿·本内特 《副手物品商人》"; --29527
  ["Ninsianna"] = "尼希亚娜 《圣物》"; --29529

  ["Applebough"] = "苹果树 《水果商人》"; --29547
  ["Windle Sparkshine"] = "温德尔·火花 《路灯商人》"; --29261

  ["Sisters Sorcerous"] = "巫术姐妹";
  ["Hagatha Moorehead"] = "哈加萨·莫尔海德 《材料商人》"; --29636
  ["Endora Moorehead"] = "恩多拉·莫尔海德 《魔法货物》"; --28715

  ["The Threads of Fate"] = "命运丝线";
  ["Paldesse"] = "帕尔蒂丝 《布甲商人》"; --28995
  ["Karandonna"] = "卡兰杜娜 《衣饰商人》"; --29491
  ["Sheddle Glossgleam"] = "西德尔·格罗斯 《鞋匠》"; --29703
  ["Chameli Banaphash"] = "查莉·巴纳法斯 《帽商》"; --29702
  ["Norvin Alderman"] = "诺尔文·奥德曼 《披风》"; --29495

  ["The Wonderworks"] = "奇妙玩具店";
  ["Jepetto Joybuzz"] = "耶比托·乔巴斯 《玩具商人》"; --29478
  ["Clockwork Assistant"] = "发条助手 《耶比托的伙伴》"; --29716

  ["The Legerdemain Lounge"] = "魔术旅馆";
  ["Amisi Azuregaze"] = "艾米丝·埃索盖斯 《旅店老板》"; --28687
  ["Arille Azuregaze"] = "埃里雷 《酒吧招待》"; --29049
  ["Sandra Bartan"] = "珊德拉·巴尔坦 《女招待》"; --32403
  ["Afsaneh Asrar"] = "芙莱尔·贝尔 《旅店助理》"; --32411

  ["Kizi Copperclip"] = "吉兹·考波克利 《理发师》"; --28708

  ["One More Glass"] = "再来一杯";
  ["Fialla Sweetberry"] = "菲娅拉·甜莓 《食物与饮料》"; --29715
  ["Christi Stockton"] = "克莉丝蒂·斯多克顿 《酒商》"; --32337
  ["Lucian Trias"] = "鲁希安·提亚斯 《面包与奶酪商人》"; --29714

  ["Aimee"] = "艾蜜 《馅饼和蛋糕》"; --29548

 --Purp
  ["The Eventide"] = "日暮广场";

  ["Marcia Chase"] = "玛西娅·切斯 《宗师级钓鱼训练师和补给商》"; --28742
--["Marcia Chase &"] = "             ";                      

  ["Glorious Goods"] = "荣耀杂货店";
  ["Jack Findle"] = "“红发”杰克·芬德 《杂货商人》"; --28692
  ["Susana Averoy"] = "苏珊娜·阿维罗 《杂货商》"; --28691

  ["Langrom's Leather & Links"] = "兰格鲁的皮加锁";
  ["Bragund Brightlink"] = "布拉古德·明火 《锁甲商人》"; --29523
  ["Valerie Langrom"] = "瓦蕾莉·兰格鲁 《皮甲商人》"; --28992

  ["The Militant Mystic"] = "好战的秘法师";
  ["Abra Cadabra"] = "安布拉·卡达布拉 《魔杖》"; --28994
  ["Shen Kang Chen"] = "沈志豪 《法杖》"; --29494

 --Yell
  ["The Violet Hold"] = "紫罗兰监狱";

  ["Archmage Timear"] = "大法师提迈尔"; --31439
  ["Archmage Lan'dalock"] = "大法师兰达洛克"; --20735
  ["Torgo the Younger"] = "年轻的托格"; --29325
  ["The Violet Hold Instance"] = "副本-紫罗兰监狱";

 --Blue
  ["The Silver Enclave a"] = "银色领地 (联盟)";

  ["A Hero's Welcome"] = "英雄之家";
  ["Isirami Fairwind"] = "伊丝拉米·轻风 《旅店老板》";
  ["Stefen Cotter"] = "斯蒂芬·考特尔 《酒吧招待》";
  ["Katherine Lee"] = "凯瑟琳·李 《宗师级烹饪训练师》";
  ["Derek Odds"] = "德里克·奥斯 《烹饪供应商》";
  ["Inzi Charmlight"] = "伊吉·魔光 《女招待》";
  ["Marcella Bloom"] = "玛尔塞拉·布鲁姆 《女招待》";
  ["Caliel Brightwillow"] = "卡里尔·明柳 《旅店助理》";

  ["The Beer Garden"] = "啤酒花园";
  ["Laire Brewgold"] = "莱尔蕾·金酒 《酒吧女郎》";
  ["Coira Longrifle"] = "科尔拉·长枪 《酒吧女郎》";

  ["The Silver Enclave"] = "银色领地";

  ["Arcanist Braedin"] = "奥术师布莱丁 《冬拥湖战斗法师》";
  ["Portal to Battlefields"] = "各战场传送门";

  ["Upstair"] = "楼梯";
  ["Arcanist Ivrenne"] = "奥术师艾弗蕾妮 《英雄纹章军需官》";
--["Arcanist Ivrenne &"] = "             Quartermaster";
  ["Arcanist Adurin"] = "奥术师埃杜林 《勇气纹章军需官》"; --31305
  ["Arcanist Firael"] = "Arcanist Firael, Emblem of Conquest"; --33964           --？？
--["Arcanist Firael &"] = "             Quartermaster";

 --Gren
  ["The Violet Citadel"] = "紫罗兰城堡";

  ["Rhonin"] = "罗宁 《肯瑞托的领袖》";
  ["Vereesa Windrunner"] = "温蕾萨·风行者 《银色盟约的游侠将军》";
--["Vereesa Windrunner &"] = "             Silver Covenant";

  ["Archmage Alvareaux"] = "大法师奥瓦利斯 《银色盟约的游侠将军》";

  ["Zidormi"] = "希多尔米 《时光守护者》";
  ["Portal Cavern Time"] = "时光之穴的传送门";

  ["Portal Purple Parlor"] = "通往紫色天台的传送门";

  ["The Purple Parlor"] = "紫色天台";
  ["Archmage John Nicholas"] = "大法师约翰·尼古拉斯 《惩罚者》";
  ["Alfred Copperworth"] = "阿尔弗雷德·考伯沃斯 《管事》";

 --Grey
  ["The Magus Commerce"] = "魔法商业区";

  ["Simply Enchanting"] = "简单附魔";
  ["Enchanter Nalthanis"] = "附魔师纳萨尼斯 《宗师级附魔训练师》"; --28693
--["Enchanter Nalthanis &"] = "             Trainer";
  ["Ildine Sorrowspear"] = "伊尔蒂 《附魔供应商》"; --28714
  ["Vanessa Sellers"] = "瓦妮萨·塞勒斯 《碎片商人》";

  ["First to Your Aid"] = "急你所急";
  ["Olisarra the Kind"] = "善良的欧莉萨拉 《宗师级急救训练师》"; --28706
  ["Angelique Butler"] = "安吉莉克·巴特雷 《急救供应商》"; --29628

  ["Talismanic Textiles"] = "避邪纺织店";
  ["Charles Worth"] =  "查理·沃尔斯 《宗师级裁缝训练师》"; --28699
  ["Dominique Stefano"] = "多米妮克·斯特法诺 《裁缝供应商》"; --28726
  ["Ainderu Summerleaf"] = "埃德尔鲁·夏叶 《月布裁缝专家》"; --29512
--["Ainderu Summerleaf &"] = "             Specialist";
  ["Lalla Brightweave"] = "兰尔拉·亮纹 《魔焰裁缝专家》"; --29511
  ["Linna Bruder"] = "琳娜·布鲁德 《暗纹裁缝专家》"; --29510

  ["Legendary Leathers"] = "传说皮甲";
  ["Braeg Stoutbeard"] = "布莱格·酒须 《皮货商人》";
  ["Diane Cannings"] = "蒂亚妮·坎宁斯 《宗师级制皮训练师》"; --28700
--["Diane Cannings &"] = "             Trainer";
  ["Derik Marks"] = "迪尔克·马克斯 《宗师级剥皮训练师》";
  ["Ranid Glowergold"] = "兰尼德·怒金 《制皮和剥皮供应商》";
--["Ranid Glowergold &"] = "             Skinning Supplies";
  ["Manfred Staller"] = "曼弗莱德·斯塔勒 《元素制皮训练师》"; --29507
--["Manfred Staller &"] = "             Trainer";
  ["Andellion"] = "安德里奥 《龙鳞制皮训练师》"; --29508
  ["Namha Moonwater"] = "娜穆·月水 《部族制皮训练师》"; --29509
--["Namha Moonwater &"] = "             Trainer";

  ["Like Clockwork"] = "精密仪器";
  ["Justin Oshenko"] = "加斯汀·欧希克 《宗师级工程学训练师》"; --28697
--["Justin Oshenko &"] = "             Trainer";
  ["Bryan Landers"] = "比尔亚·兰德斯 《工程学供应商》"; --28722
  ["Didi the Wrench"] = "钳工蒂迪 《地精工程学训练师》"; --29513
  ["Findle Whistlesteam"] = "芬德尔·汽哨 《侏儒工程学训练师》"; --29514

  ["All That Glitters Prospecting Co"] = "亮晶晶矿业公司";
  ["Jedidiah Handers"] = "杰迪安·汉德尔斯 《宗师级采矿训练师》";
  ["Dorian Fines"] = "多利安·芬斯 《采矿供应商》"; --28728

  ["The Forge of Fate"] = "命运熔炉";

  ["Tanks For Everything"] = "坦克用品店";
  ["Alard Schmied"] = "奥拉尔德·施米尔 《宗师级锻造训练师》";
--["Alard Schmied &"] = "             Trainer";
  ["Palja Amboss"] = "帕尔娅·安玻斯 《锻造供应商》";
  ["Imindril Spearsong"] = "伊曼蒂尔·锋歌 《武器锻造训练师》";
  ["Orland Schaeffer"] = "奥兰德·夏菲尔 《护甲锻造训练师》";
  ["Dubin Clay"] = "Dubin Clay 《板甲商人》";                     --34252           --??
  ["Griselda Hunderland"] = "格里丝华尔德·哈兰德 《板甲商人》";
  ["Anthony Durain"] = "安东尼·杜伦 《盾牌商人》";

  ["Dorothy Egan"] = "多萝希·埃根 《宗师级草药学训练师》";
  ["Edward Egan"] = "爱德华·埃根 《草药学供应商》"; --28727

  ["The Scribes Sacellum"] = "铭文师的殿堂";
  ["Proffessor Palin"] = "帕林教授 《宗师级铭文训练师》"; --28702
--["Proffessor Palin &"] = "             Trainer";
  ["Larana Drome"] = "拉兰娜·德罗姆 《铭文供应商》"; --28723
  ["Jessica Sellers"] = "Jessica Sellers, Ink Trader";           --33027            --??
  ["Theresa Wolf"] = "瑟蕾萨·沃尔弗 《博学者》"; --29641

 --Red
  ["Sunreaver's Sanctuary"] = "夺日者圣殿 (部落)";

  ["部落 Warbringer"] = "部落战争使者";
  ["High Arcanist Savor"] = "高阶奥术师达斯克·阿尔希斯 《夺日者》";

  ["Magister Surdiel"] = "魔导师索迪耶尔 《冬拥湖战斗法师》";
  ["Eye of the Storm Portal"] = "风暴之眼传送门";
  ["Arathi Basin Portal"] = "阿拉希盆地传送门";

  ["Strand of the Ancients Portal"] = "缘故海滩传送门";
  ["Alterac Valley Portal"] = "奥特兰克山谷传送门";
  ["Warsong Gultch Portal"] = "战歌峡谷传送门";

  ["Magister Sarien"] = "Magister Sarien, Emblem of Conquest";  --33963
--["Magister Sarien &"] = "             Quartermaster";
  ["Magister Brasael"] = "魔导师布拉塞尔 《勇气纹章军需官》";
  ["Magistrix Lambriesse"] = "魔导师拉姆布莉丝 《英雄纹章军需官》";
--["Magistrix Lambriesse &"] = "             Quartermaster";

  ["The Filthy Animal"] = "肮脏的野兽";
  ["Uda the Beast"] = "兽女乌达 《旅店老板》";
  ["Kyunghee"] = "凯乌赫 《飞斧》";
  ["Mato"] = "玛图 《食物与饮料》"; --32412
  ["Hamaka"] = "哈玛卡 《酒吧招待》";
  ["Umbiwa"] = "乌姆比瓦 《女招待》";
  ["Mimbihi"] = "米比希 《女招待》";
  ["Awilo Lon'gomba"] = "埃维罗·隆古巴 《宗师级烹饪训练师》"; --29631
--["Awilo Lon'gomba &"] = "             Trainer";
  ["Misensi"] = "米森希 《烹饪供应商》";
  ["Abohba"] = "阿波赫巴 《旅店助理》";


--NPC Dalaran Sewers
 --White
  ["D Sew"] = "达拉然下水道";

  ["Entrance"] = "下水道入口";

  ["The Black Market"] = "黑市";
  ["Hexil Garrot"] = "赫塞尔·加洛特 《业务工具》"; --29538
  ["Pazik The Pick"] = "“万能钥匙”帕兹克·派洛特 《锁匠》"; --29665
  ["Scout Nisstina"] = "斥候尼丝蒂娜 《三指大盗》"; --29778
  ["Alchemist Cinesra"] = "炼金师辛奈斯拉 《毒药商》";
  ["Darahir"] = "达拉希尔 《施法材料与魔法物品》";

  ["Circle of Wills"] = "意志竞技场";
  ["Blazik Fireclaw"] = "布拉兹克·火爪 《饮料商人》"; --30885
  ["Nargle Lashcord"] = "纳格尔·拉斯克德 《精锐竞技场商人》";
  ["Xazi Smolderpipe"] = "夏尔兹·斯莫德普 《竞技场商人》";
  ["Zom Bocom"] = "佐姆·波克 《见习竞技场商人》";
  ["Shifty Vickers"] = "狡猾的维克斯";

  ["Baroness Llana"] = "“伯爵夫人”莱娜 《竞技场组织者》";
  ["Schembari Shearbolt"] = "斯卡巴里·谢波德 《竞技场管理员》"; --29533
--["Schembari Shearbolt &"] = "             Battlemaster";

  ["Rickard Rustbolt"] = "“技术派”理查德·拉斯波特 《竞技场管理员》"; --29568

  ["Sarah Brady"] = "Sarah Brady, Alcohol"; --33026
  ["Minzi Minx"] = "顽皮的米恩兹 《竞技场管理员》";

  ["Nixi Fireclaw"] = "妮希·火爪 《饮料商人》";

  ["Kanika Goldwell"] = "坎妮卡·古德维尔 《竞技场组织者》";
  ["Ramik Slamwrench"] = "拉米克·斯拉文奇 《竞技场管理员》";

  ["Danik Blackshaft"] = "“小专家”丹尼克·布莱沙弗 《竞技场管理员》";

  ["Cantrips & Crows"] = "咒语和乌鸦旅店";
  ["Ajay Green"] = "埃因·格林 《旅店老板》";
  ["Narisa Redgold"] = "纳莉萨·赤金 《女招待》";

  ["Binzik Goldbook"] = "宾兹克·戈布克 《银行职员》";

  ["Angelo Pescatore"] = "安格罗·皮斯卡托 《钓鱼供应商》"; --28707

  ["Rin Duoctane"] = "林·多克塔";

  ["Sewer Pipe"] = "进出你需要有飞行坐骑";
--["Add On"] = "to use";

  ["Washed-up Mage"] = "疲倦的法师";


--NPC 达纳苏斯 
 --White  
  ["Warrior's Terrace"] = "战士区";
   
  ["Mydrannul"] = "迈德兰努尔 《杂货商》"; --4241
  ["Shylenai"] = "夏琳奈尔 《猫头鹰训练师》";
  ["Fyrenna"] = "菲琳娜 《食物与饮料》";
  ["Ancient of War"] = "战争古树";
   
  ["Sildanair"] = "希达奈尔 《战士训练师》";
  ["Thyn'tel"] = "塞恩提尔·刃纹";
   
  ["Elanaria"] = "艾兰娜瑞";
  ["Arias'ta"] = "阿雷亚斯塔·刃歌 《战士训练师》";
  ["Darnath"] = "达纳斯·刃歌 《战士训练师》";
  ["Brogun"] = "布洛冈·石盾 《奥特兰克山谷军官》";
  ["Enlae"] = "艾莱 《风暴之眼军官》";
  ["Aethalas"] = "伊萨拉斯 《战歌峡谷军官》";
  ["Fima"] = "五指菲玛 《竞技场管理员》";
  ["Keras"] = "克拉斯·沃夫哈特 《阿拉希盆地军官》";
  ["Nivara"] = "妮瓦拉·刃舞 《远古海滩军官》";
--["Nivara &"] = "             Battlemaster";
 
  ["Ariyell"] = "阿瑞耶尔·天影 《武器商》";
  ["Mathiel"] = "玛希尔";
  ["Cylania"] = "塞兰妮亚《暗夜精灵护甲商》";
  ["Ilyenia"] = "伊琳尼雅·月火 《武器大师》";
  
 --Purp
  ["Tradesmen's Terrace"] = "贸易区";
   
  ["General Goods & Bags"] = "杂货和背包";
  ["Ellandrieth"] = "艾兰蒂斯 《杂货商》";
  ["Yldan"] = "伊尔丹 《背包商人》";
   
  ["Weapons"] = "武器";
  ["Glorandiir"] = "格罗拉迪尔 《斧商》";
  ["Merelyssa"] = "米利希亚 《铸剑商》";
  ["Mythidan"] = "Mythidan, Mace & Staff Merchant";
  ["Kieran"] = "Kieran 《武器商》";
   
  ["Fletcher & Thrown Weapons"] = "Fletcher & Thrown Weapons";
  ["Landria"] = "Landria, Bow Merchant";
  ["Turian"] = "Turian, Thrown Weapon Merchant";
   
  ["CAHW"] = "Cloth Armor & Two-handed Weapons";
  ["Vinasia"] = "Vinasia, Cloth Armor Merchant";
  ["Ealyshia D"] = "Ealyshia Dewwhisper, Two-handed Weapon";
  ["Ealyshia D &"] = "             Merchant";
 
  ["Leather Armor"] = "Leather Armor";
  ["Cyridan"] = "Cyridan 《皮甲商人》";
   
  ["Mail Armor & Shields"] = "Mail Armor & Shields";
  ["Melea"] = "Melea 《锁甲商人》";
  ["Caynrus"] = "Caynrus 《盾牌商人》";
   
  ["Jareth"] = "Jareth Wildwoods";
   
  ["Treshala"] = "Treshala Fallowbrook";
   
  ["Sentinel's Bunkhouse"] = "Sentinel's Bunkhouse";
   
  ["Staff & Robe"] = "Staff & Robe";
  ["Andrus"] = "Andrus, Staff Merchant";
  ["Anadyia"] = "Anadyia, Robe Vendor";

  ["Jaeana"] = "Jaeana, Meat Vendor (Does a circle around";
  ["Jaeana&"] = "          the Weapons and Fletcher buildings)";

 --Yell
  ["Craftsmen's Terrace"] = "Craftsmen's Terrace";

  ["Guild"] = "Guild";
  ["Lysheana"] = "Lysheana 《公会注册员》";
  ["Shalumon"] = "Shalumon 《战袍商人》";
  ["Ellaercia"] = "Ellaercia, Guild Tabard Designer";

  ["Saelienne"] = "Innkeeper Saelienne";

  ["Tailoring &"] = "Tailoring & Leatherworking";
  ["Me'lynn"] = "Me'lynn, Tailoring Trainer";
  ["Elynna"] = "Elynna, Tailoring Supplies";
  ["Raedon D"] = "Raedon Duskstriker, 联盟 Cloth";
  ["Raedon D &"] = "             Quartermaster";
  ["Telonis"] = "Telonis, Leatherworking Trainer";
  ["Saenorion"] = "Saenorion, Leatherworking Supplies";
  ["Eladiel"] = "Eladiel, Skinning Trainer";
  ["Lotherias"] = "Lotherias";

  ["General"] = "General Trade";
  ["Mythrin'dir"] = "Mythrin'dir 《杂货商人》";

  ["Enchanting"] = "Enchanting & Inscriptions";
  ["Taladan"] = "Taladan, Enchanting Trainer";
  ["Vaean"] = "Vaean 《附魔供应商》";
  ["Feyden D"] = "Feyden Darkin, Inscription Trainer";
  ["Illianna M"] = "Illianna Moonscribe 《铭文供应商》";

  ["Alchemy"] = "Alchemy & Argent Dawn";
  ["Ainethil"] = "Ainethil, Alchemy Trainer";
  ["Ulthir"] = "Ulthir, Alchemy Supplies";
  ["Argent Guard Manados"] = "Argent Guard Manados, The Argent Dawn";
  ["D Selgrom"] = "Dawnwatcher Selgrom, The Argent Dawn";
  ["D Shaedlass"] = "Dawnwatcher Shaedlass, The Argent Dawn";

  ["Cooking"] = "Cooking";
  ["Alegorn"] = "Alegorn, Cooking Trainer";
  ["Fyldan"] = "Fyldan 《烹饪供应商》";

  ["First Aid"] = "First Aid";
  ["Dannelor"] = "Dannelor, First Aid Trainer";

 --Blue
  ["Cenarion Enclave"] = "Cenarion Enclave";

  ["Tunnel R Trainer"] = "Tunnel to Rogue Trainer";

  ["Food & Drink"] = "Food & Drink";
  ["Dendrythis"] = "Dendrythis 《食物与饮料》";

  ["Rellian G"] = "Rellian GreenSpyre";

  ["Mounts"] = "Mounts";
  ["Jartsam"] = "Jartsam, Riding Trainer";
  ["Lelanai"] = "Lelanai, Saber Handler";

  ["Hunter"] = "Hunter Trainers";
  ["Alassin"] = "Alassin 《兽栏管理员》";
  ["Jocaste"] = "Jocaste, Hunter Trainer";
  ["Corand"] = "Corand";
  ["Jeen'ra N"] = "Jeen'ra Nightrunner, Hunter Trainer";
  ["Dorion"] = "Dorion, Hunter Trainer";
  ["Silvaria"] = "Silvaria, Pet Trainer";

  ["Druid"] = "Druid Trainers";
  ["Denatharion"] = "Denatharion, Druid Trainer";
  ["Fylerian N"] = "Fylerian Nightwing, Druid Trainer";
  ["Cyroen"] = "Cyroen, Reagents";
  ["Mathrengyl B"] = "Mathrengyl Bearwalker, Druid Trainer";
  ["Fandral S"] = "Arch Druid Fandral Staghelm";

  ["Poisons"] = "Poison Vendor";
  ["Kyrai"] = "Kyrai, Poison Supplies";
  ["Faelyssa"] = "Faelyssa";

  ["Rogue"] = "Rogue Trainers";
  ["Syurna"] = "Syurna, Rogue Trainer";
  ["Anishar"] = "Anishar, Rogue Trainer";
  ["Erion S"] = "Erion Shadewhisper, Rogue Trainer";

 --Gren
  ["The Temple Gardens"] = "The Temple Gardens";

  ["Portal to Rut'theran"] = "Portal to Rut'theran Village";

  ["O Lunalight"] = "Officer Lunalight, Darnassus Commendations";

  ["Sister Aquinne"] = "Sister Aquinne, Novice Priestess";

  ["Fishing"] = "Fishing Trainer";
  ["Astaia"] = "Astaia, Fishing Trainer";
  ["Voloren"] = "Voloren 《钓鱼供应商》";
  ["Talaelar"] = "Talaelar, Fish Vendor";

  ["Herbalism"] = "Herbalism Trainer";
  ["Firodren M"] = "Firodren Mooncaller, Herbalism Trainer";
  ["Chardryn"] = "Chardryn 《草药学供应商》";

  ["Greywhisker"] = "Chief Archaeologist Greywhisker, Explorers'";
  ["Greywhisker &"] = "             League";

  ["Alaindia"] = "Alaindia, Reagents Vendor (Travels between";
  ["Alaindia&"] = "          four spots and stops for about";
  ["Alaindia&1"] = "          five minutes at each spot)";

 --Cyan
  ["Temple Moon"] = "The Temple of the Moon";

  ["Main Floor"] = "Main Floor";
  ["Jandria"] = "Jandria, Priest Trainer";
  ["Lariia"] = "Lariia, Priest Trainer";
  ["Elissa D"] = "Elissa Dumas, Portal Trainer";
  ["Dalia S"] = "Sentinel Dalia Sunblade";

  ["Balconey"] = "Balconey";
  ["P A'moora"] = "Priestess A'moora";

  ["Gracina S"] = "Gracina Spiritmight";

  ["AstariiS"] = "Astarii Starseeker, Priest Trainer";
  ["PAlathea"] = "Priestess Alathea, Priest Trainer";
  ["TyrandeW"] = "Tyrande Whisperwind, High Priestess of Elune";
  ["Valustraa"] = "Emissary Valustraa";


--NPC 埃索达
 --White
  ["Outside"] = "Outside the Front Entrance";
  ["Entrance Ex"] = "Entrance or Exit to the City";

  ["Stephanos"] = "Stephanos, Hippogryph Master";

  ["Torallius"] = "Torallius the Pack Handler, Elekk Breeder";
  ["Aalun"] = "Aalun, Riding Trainer";

 --Gren
  ["Seat of the Naaru"] = "Seat of the Naaru";

  ["Caregiver B"] = "Caregiver Breel 《旅店老板》";
  ["Arthaid"] = "Arthaid 《兽栏管理员》";
  ["Miglik B"] = "Miglik Blotstrom 《竞技场管理员》";

  ["O Khaluun"] = "Officer Khaluun, 埃索达 Commendations";

  ["Mumman"] = "Mumman, Cook";
  ["Phea"] = "Phea 《烹饪供应商》";
  ["CookP"] = "Cookpot";

  ["Onnis"] = "Onnis 《杂货商》";
  ["Cuzi"] = "Cuzi, Bag Vendor";

  ["Bran'daan"] = "Herald Bran'daan";

  ["Nurguni"] = "Nurguni, Tradesman";

  ["O'ros"] = "O'ros (Down the Ramp)";

 --Red
  ["Traders Tier"] = "Traders' Tier";

  ["Tailoring"] = "Tailoring";
  ["Refik"] = "Refik, Tailoring Trainer";
  ["Neii"] = "Neii, Tailoring Supplies";
  ["Dugiru"] = "Dugiru, 联盟 Cloth Quartermaster";

  ["Leatherworking and Skinning"] = "Leatherworking and Skinning";
  ["Remere"] = "Remere, Skinning Trainer";
  ["Akham"] = "Akham, Leatherworking Trainer";
  ["Heferet"] = "Heferet, Leatherworking Supplies";

  ["Plate Armor & Shields"] = "Plate Armor & Shields";
  ["Gotaan"] = "Gotaan 《板甲商人》";
  ["Treall"] = "Treall 《盾牌商人》";

  ["Bladed Weapons"] = "Bladed Weapons";
  ["Ven"] = "Ven, Blade Vendor";

  ["Blunt Weapons"] = "Blunt Weapons";
  ["Ellomin"] = "Ellomin, Blunt Weapon Merchant";

  ["Leather & Cloth Armor"] = "Leather & Cloth Armor (up stairs)";
  ["Mahri"] = "Mahri 《皮甲商人》";
  ["Gornii"] = "Gornii, Cloth Armor Merchant";

  ["Mail Armor"] = "Mail Armor (up stairs)";
  ["Yil"] = "Yil 《锁甲商人》";

  ["Mining and Smithing"] = "Mining and Smithing";
  ["Muaat"] = "Muaat, Mining Trainer";
  ["Merran"] = "Merran 《采矿供应商》";
  ["Miall"] = "Miall, Blacksmithing Trainer";
  ["Arras"] = "Arras 《锻造供应商》";

  ["Engineering"] = "Engineering";
  ["Ockil"] = "Ockil, Engineering Trainer";
  ["Feera"] = "Feera 《工程学供应商》";

  ["Hunters' Sanctum"] = "Hunters' Sanctum";
  ["Deremiis"] = "Deremiis, Hunter Trainer";
  ["Vord"] = "Vord, Hunter Trainer";
  ["Killac"] = "Killac, Hunter Trainer";
  ["Ganaar"] = "Ganaar, Pet Trainer";
  ["Avelii"] = "Avelii 《弓箭商》";
  ["Muhaa"] = "Muhaa 《枪械商》";

  ["Ring of Arms"] = "Ring of Arms";
  ["Fingin"] = "Fingin, Poison Supplies";
  ["Ahonan"] = "Ahonan 《战士训练师》";
  ["Kazi"] = "Kazi 《战士训练师》";
  ["Behomat"] = "Behomat 《战士训练师》";
  ["Handiir"] = "Handiir 《武器大师》";

  ["Guild Master and Tabards"] = "Guild Master and Tabards";
  ["Funaam"] = "Funaam 《公会注册员》";
  ["Issca"] = "Issca 《战袍商人》";

 --Purp
  ["The Vault of Lights"] = "The Vault of Lights";

  ["Hall of the Mystics"] = "Hall of the Mystics";
  ["Bati"] = "Bati 《法师训练师》";
  ["Harnan"] = "Harnan 《法师训练师》";
  ["Edirah"] = "Edirah 《法师训练师》";
  ["Lunaraa"] = "Lunaraa, Portal Trainer";
  ["Oss"] = "Oss, Wand Vendor";
  ["Musal"] = "Musal, Alchemy Supplies & Reagents";

  ["Vindicators' Sanctum"] = "Vindicators' Sanctum";
  ["Kavaan"] = "Kavaan, Paladin Trainer";
  ["Jol"] = "Jol, Paladin Trainer";
  ["Baatun"] = "Baatun, Paladin Trainer";

  ["Alchemy and Herbalism"] = "Alchemy and Herbalism";
  ["Lucc"] = "Lucc, Alchemy Trainer";
  ["Altaa"] = "Altaa, Alchemy Supplies";
  ["Cemmorhan"] = "Cemmorhan, Herbalism Trainer";

  ["Tolo"] = "Tolo 《阿拉希盆地军官》";

  ["Mahul"] = "Mahul 《奥特兰克山谷军官》";
  ["Mitia"] = "Mitia 《风暴之眼军官》";

  ["Jihi"] = "Jihi 《战歌峡谷军官》";
  ["Buhurda"] = "Buhurda 《远古海滩军官》";

  ["Prophet Velen"] = "Prophet Velen";

  ["Anchorites' Sanctum"] = "Anchorites' Sanctum";
  ["Izmir"] = "Izmir, Priest Trainer";
  ["Fallat"] = "Fallat, Priest Trainer";
  ["Caedmos"] = "Caedmos, Priest Trainer";

  --White
  ["The Crystal Hall"] = "The Crystal Hall";

  ["Enchanting"] = "Enchanting";
  ["Nahogg"] = "Nahogg, Echanting Trainer";
  ["Egomis"] = "Egomis, Echanting Supplies";
  ["Thoth"] = "Thoth, Inscription Trainer";
  ["Sessoh"] = "Sessoh 《铭文供应商》";

  ["Sixx"] = "Sixx, Moth Vendor (Main Floor)";

  ["Gurrag"] = "Gurrag, Shaman Trainer";

  ["F Nobundo"] = "Farseer Nobundo, Shaman Trainer (Up the Ramp)";
  ["F Dunaer"] = "Foreman Dunaer";
  ["Valon"] = "Valon";

  ["Sulaa"] = "Sulaa, Shaman Trainer";

  ["Fishing"] = "Fishing";
  ["Erett"] = "Erett, Fishing Trainer";
  ["Dekin"] = "Dekin 《钓鱼供应商》";

  ["Hobahken"] = "Hobahken, Shaman Trainer";

  ["Reagents"] = "Reagents";
  ["Bildine"] = "Bildine, Reagent Vendor";

  ["First Aid"] = "First Aid";
  ["Nus"] = "Nus, First Aid Trainer";

  ["Jewelcrafting"] = "Jewelcrafting";
  ["Farii"] = "Farii, Jewelcrafting Trainer";
  ["Arred"] = "Arred, Jewelcrafting Supplier";
  ["Padaar"] = "Padaar, Apprentice Jewelcrafter";

  ["Seer Skaltesh"] = "Seer Skaltesh";

  --NPC Ironforge
  --White
  ["The Common"] = "The Commons";

  ["Barim"] = "Barim's Reagents";
  ["Barim J"] = "Barim Jurgenstaad, Reagent Vendor";

  ["Stonefire Tavern"] = "The Stonefire Tavern";
  ["Inkeeper Firebrew"] = "Inkeeper Firebrew";
  ["Gwenna F"] = "Gwenna Firebrew, Barmaid";
  ["Larkin T"] = "Larkin Thunderbrew, Brew of the Month Club";
  ["Brew Vendor"] = "Brew Vendor, Brew of the Month Club";
  ["Sheldonore"] = "Artilleryman Sheldonore";

  ["Pella B"] = "Pella Brassbrush, Barber";

  ["Ironforge Armory"] = "Ironforge Armory";
  ["Mangorn F"] = "Mangorn Flinthammer, Heavy Armor Merchant";
  ["Raena F"] = "Raena Flinthammer, Light Armor Merchant";
  ["Bromiir O"] = "Bromiir Ormsen, Heavy Armor Merchant";

  ["Dinita S"] = "Dinita Stonemantle, Vault Administrator";
  ["Lieutenant Rot"] = "Lieutenant Rotimer, Stormpike Guard";
  ["Lieutenant Rot &"] = "          Recruitment Officer (In front of the Bank)";

  ["Steelfury's Weapon Emporium"] = "Steelfury's Weapon Emporium";
  ["Dolman S"] = "Dolman Steelfury 《武器商》";
  ["Grenil S"] = "Grenil Steelfury 《武器商》";

  ["Fizzlespinner"] = "Fizzlespinner's General Goods";
  ["Fillius F"] = "Fillius Fizzlespinner, Trade Supplies";
  ["Bryllia I"] = "Bryllia Ironbrand 《杂货商》";

  ["Marblesten"] = "Grand Mason Marblesten. Royal Stonecutters";
  ["Marblesten&"] = "          Union";

  ["Ironforge V C"] = "Ironforge Visitor Center";
  ["Jondor S"] = "Jondor Steelbrow, Guild Master";
  ["Lyesa S"] = "Lyesa Steelbrow, Guild Tabard Vendor";

  ["Myra T"] = "Myra Turngaarde, Bread Vendor (Circles in front";
  ["Myra T &"] = "          of the Bank and Auction House)";

  --Gren
  ["Mystic Ward"] = "The Mystic Ward";

  ["Fighting Wizard"] = "The Fighting Wizard";
  ["Bingus"] = "Bingus 《武器商》";
  ["Harick B"] = "Harick Boulderdrum, Wands Merchant";

  ["Hall of Mysteries"] = "Hall of Mysteries";
  ["Toldren D"] = "Toldren Deepiron, Priest Trainer";
  ["Braenna F"] = "Braenna Flintcrag, Priest Trainer";
  ["High Priest Rohan"] = "High Priest Rohan, Priest Trainer";
  ["Theodrus F"] = "Theodrus Frostbeard, Priest Trainer";
  ["Bink"] = "Bink, Mage Trainer";
  ["Dink"] = "Dink, Mage Trainer";
  ["Juli S"] = "Juli Stormkettle, Mage Trainer";
  ["Milstaff S"] = "Milstaff Stormeye, Portal Trainer";
  ["Brandur I"] = "Brandur Ironhammer, Paladin Trainer";
  ["Beldruk D"] = "Beldruk Doombrow, Paladin Trainer";
  ["Muiredon B"] = "Muiredon Battleforge";
  ["Valgar H"] = "Valgar Highforge, Paladin Trainer";
  ["Nittlebur S"] = "Nittlebur Sparkfizzle, Mage Trainer";
  ["Tiza B"] = "Tiza Battelforge";

  ["Mage Tymor"] = "Mage Tymor";

  ["Talvash Kizzel"] = "Talvash del Kizzel";

  ["Maeva's"] = "Maeva's Mystical Apparel";
  ["Maeva"] = "Maeva Snowbraid, Robe Merchant";
  ["Ingrys S"] = "Ingrys Stonebrow, Cloth Armor Merchant";

  ["Longberry's"] = "Longberry's Reagents";
  ["Ginny L"] = "Ginny Longberry, Reagent Vendor";

  ["Bimble L"] = "Bimble Longberry, Fruit Vendor (Circles around";
  ["Bimble L&"] = "          the fountain in the Mystic Ward)";

  --Blue
  ["Forlorn Cavern"] = "The Forlorn Cavern";

  ["Stoneblades"] = "Stoneblades";
  ["Hjoldir S"] = "Hjoldir Stoneblade 《铸剑商》";
  ["Binny"] = "Binny Springblade";
  ["Prynne"] = "Prynne";

  ["Traveling Fisherman"] = "Traveling Fisherman";
  ["Grimnur S"] = "Grimnur Stonebrand, Fishing Trainer";
  ["Tansy P"] = "Tansy Puddlefizz 《钓鱼供应商》";

  ["Lago B"] = "Lago Blackwrench";

  ["Thistleheart"] = "Thistleheart, Warlock Trainer";
  ["Briarthorn"] = "Briarthorn, Warlock Trainer";
  ["Alexander C"] = "Alexander Calder, Warlock  Trainer";
  ["Gerrig B"] = "Gerrig Bonegrip";

  ["Tynnus V"] = "Tynnus Venomsprout, Shady Dealer";
  ["Fenthwick"] = "Fenthwick, Rogue Trainer";
  ["Ormyr F"] = "Ormyr Flinteye, Rogue Trainer";
  ["Hulfdan B"] = "Hulfdan Blackbeard, Rogue Trainer";
  ["Durtham G"] = "Durtham Greldon";

  ["Ransin D"] = "Ransin Donner";
  ["Murky"] = "Murky";

  --Purp
  ["Hall of Explorers"] = "Hall of Explorers";

  ["Roetten S"] = "Roetten Stonehammer, Reclaimers Inc.";
  ["Magellas"] = "High Explorer Magellas, Explorers' League";

  ["The Library"] = "The Library";
  ["Thorius"] = "Curator Thorius";

  ["Lyon M"] = "Lyon Mountainheart";

  ["Laris G"] = "Laris Geardawdle";

  ["Krom S"] = "Krom Stoutarm";
  ["Prospector S"] = "Prospector Stormpike";
  ["Mae P"] = "Librarian Mae Paledust, Explorers' League";
  ["Adviser B"] = "Adviser Belgrum";
  ["Historian K"] = "Historian Karnik";

  --Cyan
  ["Tinker Town"] = "Tinker Town";

  ["Bubulo"] = "Bubulo, Alliance Cloth Quartermaster (Gnome)";

  ["Boom!"] = "Things that go Boom!";
  ["Lomac"] = "Lomac Gearstrip";
  ["Fizzlebang"] = "Fizzlebang Booms, Fireworks Vendor";

  ["Berryfizz's"] = "Berryfizz's Potions and Mixed Drinks";
  ["Tally B"] = "Tally Berryfizz, Alchemy Trainer";
  ["Soolie B"] = "Soolie Berryfizz, Alchemy Supplies";

  ["Overspark"] = "Tinkmaster Overspark, Gnome";
  ["Overspark&"] = "          Engineering Trainer";
  ["Gnoarn"] = "Gnoarn";

  ["Mekkatorque"] = "High Tinker Mekkatorque, King of the Gnomes";

  ["Castpipe"] = "Master Mechanic Castpipe";
  ["Klockmort"] = "Klockmort Spannerspan";
  ["Porterhouse"] = "Officer Porterhouse, Gnomeregan";
  ["Porterhouse&"] = "          Commendations";

  ["Springspindle's"] = "Springspindle's Gadgets";
  ["Fisslegear"] = "Springspindle Fisslegear, Engineering Trainer";
  ["Cogspinner"] = "Gearcutter Cogspinner 《工程学供应商》";

  ["Deeprun Tram"] = "Deeprun Tram";
  ["Monty"] = "Monty, Rat Extermination Specialist";
  ["Haggle"] = "Haggle";

  --Orng
  ["The Military Ward"] = "The Military Ward";

  ["Goldfury's"] = "Goldfury's Hunting Supplies";
  ["BrettaG"] = "Bretta Goldfury, Gun Merchant";
  ["SkolminG"] = "Skolmin Goldfury, Bow Merchant";

  ["Bruuk's Corner"] = "Bruuk's Corner";
  ["BruukB"] = "Bruuk Barleybeard, Bartender";
  ["TisaM"] = "Tisa Martine";
  ["EdrisB"] = "Edris Barleybeard, Barmaid";

  ["SognarC"] = "Sognar Cliffbeard, Meat Vendor (Does a cirlce";
  ["SognarC&"] = "          in the Military Ward)";

  ["Hall of Arms"] = "Hall of Arms";
  ["RegnusT"] = "Regnus Thundergranite, Hunter Trainer";
  ["OlminB"] = "Olmin Burningbeard, Hunter Trainer";
  ["UlbrekF"] = "Ulbrek Firehand, Stable Master";
  ["BeliaT"] = "Belia Thundergranite, Pet Trainer";
  ["DemnulF"] = "Demnul Farmountain";
  ["DaeraB"] = "Daera Brightspear, Hunter Trainer";
  ["KelvS"] = "Kelv Sternhammer 《战士训练师》";
  ["MaxX"] = "Max Xim 《竞技场管理员》";
  ["DonalO"] = "Donal Osgood 《阿拉希盆地军官》";
  ["Lylandris"] = "Lylandris, Warsong Gultch Battlemaster";
  ["MargaB"] = "Marga Bearbrawn 《远古海滩军官》";
  ["MargaB&"] = "          Battlemaster";
  ["GlordrumS"] = "Glordrum Steelbeard 《奥特兰克山谷军官》";
  ["Kandaar"] = "Kandaar 《风暴之眼军官》";
  ["MurenS"] = "Muren Stormpike";
  ["KelstrumS"] = "Kelstrum Stonebreaker 《战士训练师》";
  ["BilbanT"] = "Bilban Tosslespanner 《战士训练师》";
  ["GilbartaG"] = "Gilbarta Grandhammer, Battleground Enthusiast";
  ["PLongbeard"] = "Pilot Longbeard, Ironforge Siege Brigade";
  ["XiggsF"] = "Xiggs Fuselighter";

  ["Timberline Arms"] = "Timberline Arms";
  ["BuliwyfS"] = "Buliwyf Stonhand 《武器大师》";
  ["BixiW"] = "Bixi Wobblebonk 《武器大师》";
  ["KelomirI"] = "Kelomir Ironhand, Maces & Staves";
  ["ThalgusT"] = "Thalgus Thunderfist 《武器商》";
  ["HegnarS"] = "Hegnar Swiftaxe 《斧商》";
  ["BrenwynW"] = "Brenwyn Wintersteel 《铸剑商》";

  ["Craghelm's"] = "Craghelm's Plate and Chain";
  ["LissyphusF"] = "Lissyphus Finespindle, Light Armor Merchant";
  ["DolkinC"] = "Dolkin Craghelm, Mail Armor Merchant";
  ["OlthranC"] = "Olthran Craghelm, Heavy Armor Merchant";

  ["SaraB"] = "Sara Balloo";

  --Yell
  ["The Great Forge"] = "The Great Forge";

  ["Ironforge Pysician"] = "Ironforge Pysician";
  ["ReynaS"] = "Reyna Stonebranch, Herbalism Trainer";
  ["GwinaS"] = "Gwina Stonebranch 《草药学供应商》";
  ["NissaF"] = "Nissa Firestone, First Aid Trainer";

  ["GrythT"] = "Gryth Thurden, Gryphon Master";

  ["Thistlefuzz Arcanery"] = "Thistlefuzz Arcanery";
  ["EJademoon"] = "Cenarion Emmisary Jademoon";
  ["GimbleT"] = "Gimble Thistlefuzz, Enchanting Trainer";
  ["TilliT"] = "Tilli Thistlefuzz, Enchanting Supplies";
  ["EliseB"] = "Elise Brightletter, Inscription Trainer";
  ["TargenH"] = "Targen Heavyquill 《铭文供应商》";

  ["Bronze Kettle"] = "The Bronze Kettle";
  ["DarylR"] = "Daryl Riknussun, Cooking Trainer";
  ["EmrulR"] = "Emrul Riknussun, Cooking Supplies";
  ["DBcook"] = "(Cooking can be done at any Dwarven Brazier";
  ["DBcook&"] = "           in the city)";

  ["FJavad"] = "Farseer Javad, Shaman Trainer";

  ["DMMG"] = "Deep Mountain Mining Guild";
  ["GeoframB"] = "Geofram Bouldertoe, Mining Trainer";
  ["GolnirB"] = "Golnir Bouldertoe 《采矿供应商》";

  ["Burbik's"] = "Burbik's Supplies";
  ["BurbikG"] = "Burbik Gearspanner, Trade Supplies";

  ["Stonebrow's"] = "Stonebrow's Clothier";
  ["JormundS"] = "Jormund Stonebrow, Tailoring Trainer";
  ["PorannaS"] = "Poranna Snowbraid, Tailoring Supplies";
  ["OEric"] = "Outfitter Eric, Speciality Tailoring Supplies";
  ["MistinaS"] = "Mistina Steelshield, Alliance Cloth";
  ["MistinaS&"] = "          Quartermaster (Dwarf)";

  ["Finespindle's"] = "Finespindle's Leather Goods";
  ["FimbleF"] = "Fimble Finespindle, Leatherworking Trainer";
  ["BombusF"] = "Bombus Finespindle, Leatherworking Supplies";
  ["BalthusS"] = "Balthus Stoneflayer, Skinning Trainer";

  ["OIronbeard"] = "Officer Ironbeard, Ironforge Commendations";

  ["Sraaz"] = "Sraaz, Pie Vendor (Does a circle around the";
  ["Sraaz&"] = "          Great Forge)";

  ["High Seat"] = "The High Seat";
  ["KingMagni"] = "King Magni Bronzebeard, Lord of Ironforge";
  ["SBarinR"] = "Senator Barin Redstone";
  ["RHArchesonus"] = "Royal Historian Archesonus";
  ["Deliana"] = "Deliana";

  ["Great Forge"] = "The Great Forge";
  ["GrumnusS"] = "Grumnus Steelshaper, Armorsmith Trainer";
  ["IronusC"] = "Ironus Coldsteel, Weaponsmith Trainer";
  ["ThurgrumD"] = "Thurgrum Deepforge 《锻造供应商》";
  ["BengusD"] = "Bengus Deepforge, Blacksmithing Trainer";
  ["MyolorS"] = "Myolor Sunderfury";
  ["BrombarH"] = "Brombar Higgleby, The Keymaster";
  ["TormusD"] = "Tormus Deepforge";
  
  --NPC Orgrimmar
  --White
  ["Valley Strength"] = "The Valley of Strength";
  
  ["FARokhs"] = "Frostwolf Ambassador Rokhstrom";

  ["Gryshka"] = "Innkeeper Gryshka";
  ["Morag J"] = "Barkeep Morag";
  ["Kozish"] = "Kozish";
  ["Sarok"] = "Sarok";
  ["Doyo'da"] = "Doyo'da";
  ["Zaro"] = "Zaro";
  ["Goma"] = "Goma";
  ["Gamon"] = "Gamon";

  ["SLSA"] = "Soran's Leather & Steel Armory";
  ["Sana"] = "Sana, Mail Armor Merchant";
  ["Morgum"] = "Morgum, Leather Armor Merchant";
  ["Ollanus"] = "Ollanus, Light Armor Merchant";

  ["BImports"] = "Boomstick Imports";
  ["Kaja"] = "Kaja, Guns & Ammunition Vendor";

  ["SReagents"] = "Spiritfury Reagents";
  ["Horthus"] = "Horthus, Reagents Vendor";

  ["Horde Embassy"] = "Horde Embassy";
  ["Urtrun"] = "Urtrun Clanbringer, Guildmaster";
  ["Garyl"] = "Garyl, Tabard Vendor";

  ["GenStore"] = "Orgrimmar General Store";
  ["Trak'gen"] = "Trak'gen 《杂货商》";
  ["Shimra"] = "Shimra, General Trade Supplies Vendor";

  ["ShattAxe"] = "The Shattered Axe";
  ["Urtharo"] = "Urtharo 《武器商》";

  ["Chophouse"] = "The Chophouse";
  ["Olvia"] = "Olvia, Meat Vendor";
  ["OrcCook"] = "Orc Cooker (Cooking can be done at a Mighty";
  ["OrcCook&"] = "          Blaze as well)";

  ["SlopeVS"] = "Slope up to Valley of Spirits";

  ["Zankaja"] = "Zankaja";
  ["MBlaze"] = "Mighty Blaze";

  ["Skytower"] = "The Skytower";
  ["Doras"] = "Doras, Wind Rider Master";
  ["CEhoof"] = "Cenarion Emissary Blackhoof";

  ["HallLegends"] = "Hall of Legends";
  ["SGZarg"] = "Stone Guard Zarg, Weapons Quartermaster";
  ["DorisV"] = "Doris Volanthius, Veteran Armor Quartermaster";
  ["BraveSton"] = "Brave Stonehide, Officer Accessories";
  ["BraveSton&"] = "          Quartermaster";
  ["Zar'shi"] = "Blood Guard Zar'shi, Armor Quartermaster";
  ["LadyPal"] = "Lady Palanseer, Jewelcrafting Quartermaster";
  ["SergThunder"] = "Sergeant Thunderhorn, Apprentice Armor";
  ["SergThunder&"] = "          Quartermaster";
  ["Bork"] = "Raider Bork, Mount Quartermaster";
  ["Hola'mahi"] = "First Sergeant Hola'mahi, Armor Quartermaster";
  ["Earthbind"] = "Chieftan Earthbind";
  ["Willington"] = "Advisor Willington";
  ["Teena"] = "Legionnaire Teena, Armor Quartermaster";
  ["CArial"] = "Councilor Arial";
  ["D'Anastasis"] = "D'Anastasis";
  ["Hini'wana"] = "Blood Guard Hini'wana";
  ["Bek'rah"] = "Grunt Bek'rah";
  ["Korf"] = "Grunt Korf";

  ["SkyStaves"] = "Skyfury Staves";
  ["Ukra'nor"] = "Ukra'nor, Staff Merchant";

  ["Keldran"] = "Keldran";

  ["Xan'tish"] = "Xan'tish, Snake Vendor (Travels between west";
  ["Xan'tish&"] = "          entrance to the city and Valley of Spirits)";

  ["Krixx"] = "Krixx, Zepplin Engineer (Travels between the";
  ["Krixx&"] = "           bonfire near the south city entrance and";
  ["Krixx&1"] = "           Nogg's Machine Shop in The Valley of";
  ["Krixx&2"] = "           Honor)";


  --Purp
  ["ValleySpirits"] = "The Valley of Spirits";

  ["DarkbriarL"] = "Darkbriar Lodge";
  ["Uthel'nay"] = "Uthel'nay, Mage Trainer";
  ["Enyo"] = "Enyo, Mage Trainer";
  ["Deino"] = "Deino, Mage Trainer";
  ["Pephredo"] = "Pephredo, Mage Trainer";
  ["Thull"] = "Thull, Portal Trainer";
  ["Vehena"] = "Vehena, Horde Cloth Quartermaster (Troll)";
  ["Ray'ma"] = "Ray'ma, Brew of the Month Club";
  ["Brew Vendor"] = "Brew Vendor, Brew of the Month Club";

  ["SpiLodge"] = "Spirit Lodge";
  ["Ur'kyro"] = "Ur'kyro, Priest Trainer";
  ["X'yera"] = "X'yera, Priest Trainer";
  ["Zayus"] = "Zayus, High Priest";

  ["SurvivalF"] = "Survival of the Fittest";
  ["Arnok"] = "Arnok, First Aid Trainer";

  --Yell
  ["Drag"] = "The Drag";

  ["Borstan's"] = "Borstan's Firepit (upstairs)";
  ["Borstan"] = "Borstan, Meat Vendor";
  ["Zamja"] = "Zamja, Cooking Trainer";
  ["Xen'lo"] = "Xen'lo, Cooking Supplies";

  ["Jo'mah"] = "Jo'mah, Inscription Trainer (Upper level)";
  ["Xantili"] = "Xantili 《铭文供应商》";
  ["Zilzibin"] = "Zilzibin Drumlore";
  ["Sarlek"] = "Sarlek";
  ["Tamaro"] = "Tamaro";

  ["Arboretum"] = "Jandi's Arboretum (Upper level)";
  ["Jandi"] = "Jandi, Herbalism Trainer";
  ["Zeal'aya"] = "Zeal'aya 《草药学供应商》";

  ["Runeworks"] = "Godan's Runeworks";
  ["Jhag"] = "Jhag, Enchanting Trainer";
  ["Slope1"] = "Slope to get up or down a level";

  ["Yelmak's"] = "Yelmak's Alchemy & Potions";
  ["Yelmak"] = "Yelmak, Alchemy Trainer";
  ["Kor'geld"] = "Kor'geld, Alchemy Supplies";
  ["Jes'rimon"] = "Jes'rimon";

  ["Salvage"] = "Droffers & Sons Salvage";
  ["Dran"] = "Dran Droffers";
  ["Malton"] = "Malton Droffers";

  ["KLeatherworks"] = "Kodohide Leatherworks";
  ["Karolek"] = "Karolek, Leatherworking Trainer";
  ["Tamar"] = "Tamar, Leatherworking Supplies";
  ["Thuwd"] = "Thuwd, Skinning Trainer";
  ["Handor"] = "Handor, Cloth & Leather Armor Merchant";

  ["ClothG"] = "Magar's Cloth Goods";
  ["Magar"] = "Magar, Tailoring Trainer";
  ["Borya"] = "Borya, Tailoring Supplies";
  ["Tor'phan"] = "Tor'phan, Cloth & Leather Armor Merchant";
  ["Rashona"] = "Rashona Straglash, Horde Cloth Quartermaster";
  ["Rashona&"] = "          (Orc)";

  ["Gotri's"] = "Gotri's Travelling Gear (Main level)";
  ["Malton"] = "Gotri, Bag Vendor";

  ["Krixx2"] = "Krixx, Zepplin Engineer";
  ["Felika"] = "Felika, Trade Supplies (Travels the drag from";
  ["Felika&"] = "          the Valley of Wisdom entrance to the";
  ["Felika&1"] = "          Valley of Strength entrance)";

  --Blue
  ["ValleyHonor"] = "The Valley of Honor";

  ["Kiro's"] = "Kiro's Harnesses";
  ["Kiro"] = "Kiro, War Harness Maker";

  ["OBowyer"] = "Orgrimmar Bowyer";
  ["Jin'sora"] = "Jin'sora, Bow Merchant";

  ["HallBrave"] = "Hall of the Brave";
  ["Zel'mak"] = "Zel'mak 《战士训练师》";
  ["Sorek"] = "Sorek 《战士训练师》";
  ["Grezz"] = "Grezz Ragefist 《战士训练师》";
  ["Andissa"] = "Andissa Heartspear, Eye of the Storm";
  ["Andissa&"] = "          Battlemaster";
  ["Deze"] = "Deze Snowbane 《阿拉希盆地军官》";
  ["Zeggon"] = "Zeggon Botsnap 《竞技场管理员》";
  ["Brakgul"] = "Brakgul Deathbringer, Warsong Gultch";
  ["Brakgul&"] = "          Battlemaster";
  ["Ufuda"] = "Ufuda Giant-Slayer 《远古海滩军官》";
  ["Ufuda&"] = "          Battlemaster";
  ["Karta"] = "Karta Bloodsnarl 《奥特兰克山谷军官》";
  ["Muja"] = "Muja, Battleground Enthusiast";
  ["HordeWar"] = "Horde Warbringer";
  ["BelgR"] = "Belgrom Rockmaul";

  ["Lumak's"] = "Lumak's Fishing";
  ["Lumak"] = "Lumak, Fishing Trainer";
  ["Shankys"] = "Shankys 《钓鱼供应商》";
  ["Zas'tysh"] = "Zas'tysh";

  ["RedMining"] = "Red Canyon Mining";
  ["Makaru"] = "Makaru, Mining Trainer";
  ["Gorina"] = "Gorina 《采矿供应商》";

  ["Orphanage"] = "Orphanage";

  ["Nogg's"] = "Nogg's Machine Shop";
  ["Nogg"] = "Nogg, Apprentice Engineer";
  ["Roxxik"] = "Roxxik, Engineering Trainer";
  ["Sovik"] = "Sovik 《工程学供应商》";
  ["Rilli"] = "Rilli Greasygob";

  ["Shayis"] = "Shayis Steelfury, Armorsmith Trainer";
  ["Okothos"] = "Okothos Ironrager, Armorsmith";
  ["Borgosh"] = "Borgosh Corebender, Weaponsmith";
  ["OxMO"] = "Ox, The Mithril Order";
  ["Aturk"] = "Aturk the Anvil";
  ["OrokkO"] = "Orokk Omosh";

  ["BurnAnvil"] = "The Burning Anvil";
  ["Saru"] = "Saru Steelfury, Blacksmithing Trainer";
  ["Sumi"] = "Sumi 《锻造供应商》";
  ["Tumi"] = "Tumi, Heavy Armor Merchant";

  ["ArmsLegend"] = "Arms of Legend";
  ["Kelgruk"] = "Kelgruk Bloodaxe 《武器锻造训练师》";
  ["Zendo'"] = "Zendo'jian, Weapon Vendor";
  ["Shoma"] = "Shoma, Weapon Vendor";
  ["Galthuk"] = "Galthuk, Two-handed Weapon Merchant";
  ["Sayoc"] = "Sayoc 《武器大师》";
  ["Hanashi"] = "Hanashi 《武器大师》";
  ["Koru"] = "Koru, Maces & Staves Vendor";

  ["RingValor"] = "Ring of Valor";
  ["Molog"] = "War-Hunter Molog 《竞技场管理员》";
  ["Greela"] = "Greela 'The Grunt' Crankchain 《竞技场管理员》";
  ["Greela&"] = "          Organizer";

  ["Ogunaro"] = "Ogunaro Wolfrunner, Kennel Master";
  ["Kildar"] = "Kildar, Wolf Riding Instructor";
  ["Xon'cha"] = "Xon'cha, Stable Master";

  ["HuntHall"] = "Hunter's Hall";
  ["Sian'dur"] = "Sian'dur, Hunter Trainer";
  ["Xor'juul"] = "Xor'juul, Hunter Trainer";
  ["Ormak"] = "Ormak Grimshot, Hunter Trainer";

  --Gren
  ["CleftShad"] = "The Cleft of Shadows";

  ["DarkEncl"] = "Darkfire Enclave";
  ["Mirket"] = "Mirket, Warlock Trainer";
  ["Zevrost"] = "Zevrost, Warlock Trainer";
  ["Grol'dar"] = "Grol'dar, Warlock Trainer";
  ["Gan'rul"] = "Gan'rul Bloodeye";

  ["ShadReag"] = "Shadowdeep Reagents";
  ["Hagrus"] = "Hagrus, Reagent Vendor";
  ["Cazul"] = "Cazul";

  ["ISW"] = "Ironwood Staves & Wands";
  ["Muragus"] = "Muragus, Staff Merchant";
  ["Katis"] = "Katis, Wand Merchant";

  ["Neeru"] = "Neeru Fireblade";

  ["RCI"] = "Ragefire Chasm Instance";

  ["DEFM"] = "Dark Earth Fungus and Mushrooms";
  ["Kor'jus"] = "Kor'jus, Mushroom Vendor";

  ["Barbershop"] = "Barbershop";
  ["Berbi"] = "Berbi Coifcurl, Barber";

  ["SlowBlade"] = "The Slow Blade";
  ["Kareth"] = "Kareth 《铸剑商》";

  ["ShadowBroth"] = "Shadowswift Brotherbood";
  ["Gest"] = "Gest, Rogue Trainer";
  ["Ormok"] = "Ormok, Rogue Trainer";
  ["Shenthul"] = "Shenthul, Rogue Trainer";
  ["Zando'san"] = "Zando'san";
  ["Therzok"] = "Therzok";

  ["Rekkul's"] = "Rekkul's Poisons";
  ["Rekkul"] = "Rekkul 《毒药商》";
  ["Korghan"] = "Korghan";
  
  ["Drok"] = "Craven Drok (Travels around in the ";
  ["Drok&"] = "                  Cleft of Shadow)";

  --Cyan
  ["ValleyWisdom"] = "The Valley of Wisdom";

  ["STVIF"] = "Stranglethorn Imported Fruits";
  ["Shanti"] = "Shanti, Fruit Vendor";

  ["ORedblade"] = "Officer Redblade, Orgrimmar Commendations";

  ["GromHold"] = "Grommash Hold";
  ["Sian'tsu"] = "Sian'tsu, Shaman Trainer";
  ["Kardris"] = "Kardris Dreamseeker, Shaman Trainer";
  ["Sagorne"] = "Sagorne Creststrider, Shaman Trainer";
  ["Zor"] = "Zor Lonetree, Elder Far Seer";
  ["Searn"] = "Searn Firewarder";
  ["Eitrigg"] = "Eitrigg";
  ["Vol'jin"] = "Vol'jin";
  ["Mokvar"] = "Mokvar";
  ["Pyreanor"] = "Master Pyreanor, Paladin Trainer";
  ["Dawnsinger"] = "Ambassador Dawnsinger";
  ["Thrall"] = "Thrall, Warchief";

  ["Asoran's"] = "Asoran's Market";
  ["Asoran"] = "Asoran 《杂货商》";
  ["Magenius"] = "Magenius, Reagents Vendor";

  ["Vu'Shalay"] = "Officer Vu'Shalay, Darkspear Commendations";

  --NPC Shattrath
  --White
  ["TerLight"] = "Terrace of the Light";

  ["ABank"] = "Bank (Aldor Aligned)";
  ["Endarin"] = "Quartermaster Endarin, Aldor Quartermaster";
  ["ISaalyn"] = "Inscriber Saalyn, Aldor Inscriptions";
  ["HaldorC"] = "Haldor the Compulsive, Aldor Apothecary";

  ["SBank"] = "Bank (Scryer Aligned)";
  ["Enuril"] = "Quartermaster Enuril, Scryer Quartermaster";
  ["IVeredis"] = "Inscriber Veredis, Scryer Inscriptions";
  ["Xorith"] = "Arcanist Xorith, Scryer Apothecary";

  ["LeagArat"] = "League of Arathor Emissary (Arathi Basin)";
  ["Defil"] = "Defilers Emissary (Arathi Basin)";

  ["A'dal"] = "A'dal";
  ["Khadgar"] = "Khadgar";
  ["Almonen"] = "Grand Anchorite Almonen";
  ["Tiras'alan"] = "General Tiras'alan";

  ["G'eras"] = "G'eras (Heroic Mode Instance reward vendor ,";
  ["G'eras&"] = "          Upper level)";
  ["Almaador"] = "Almaador, Sha'tari Quartermaster";
  ["Nasuun"] = "Exarch Nasuun";
  ["Ontuvo"] = "Ontuvo, Jewelcrafting Supplies (Shattered Sun";
  ["Ontuvo&"] = "          Offensive)";
  ["PorQuel"] = "Portal to Quel'Danas";
  ["Anwehu"] = "Anwehu, Weapons and Armorsmith (Heroic";
  ["Anwehu&"] = "          Mode Instance reward vendor)";
  ["Mehlisah"] = "Spymistress Mehlisah Highcrown";

  ["Iorioa"] = "Iorioa, Portal Trainer";
  ["V'eru"] = "V'eru (Upper level)";

  ["WarVet"] = "Haggard War Veteran";
  ["HordeWar"] = "Horde Warbringer";

  ["Mordin"] = "Emissary Mordin, Shattered Sun Offensive";
  ["Torvos"] = "Lord Torvos, Shattered Sun Offensive";

  ["Nutral"] = "Nutral, Flight Master";
  ["Yuula"] = "Yuula, Sha'tari Guard Recruitment Officer";

  ["Haronem"] = "Harbinger Haronem, Shattered Sun Offensive";
  ["Wafflefry"] = "Whirligig Wafflefry, Gnomish Inventor";

  ["LiftScry"] = "Lift to Scryer's Tier";

  ["LiftAR"] = "Lift to Aldor Rise";
  
  ["Ezekiel"] = "Ezekiel (Travels clock-wise around The Terrace";
  ["Ezekiel&"] = "         of Light)";

  --Yell
  ["LowCity"] = "Lower City";

  ["DLarry"] = "'Dirty' Larry, Ruffian";
  ["EMalone"] = "'Epic' Malone, Ruffian";
  ["Creepjack"] = "'Creepjack', Ruffian";

  ["AldBank"] = "Lower entrance to Aldor Bank";

  ["Araac"] = "Araac";

  ["Karokka"] = "Karokka, Poison Supplies";
  ["Skreah"] = "Skreah, Alchemy Supplies (Down stairs)";
  ["Lorokeem"] = "Lorokeem, Master Alchemy Trainer (Down stairs)";
  ["Vekax"] = "Vekax (Travels back and forth across bridge)";

  ["Lissaf"] = "Lissaf 《铸剑商》";

  ["RampL"] = "Ramp to Terrace of Light";
  ["Rilak"] = "Rilak the Redeemed";
  ["Adyria"] = "Arcanist Adyria, The Scryers";
  ["DGrashna"] = "Defender Grashna";

  ["Oloraak"] = "Oloraak, Fish Merchant";

  ["ShattInf"] = "Shattrath Infirmary";
  ["Sha'nir"] = "Sha'nir, The Aldor";
  ["Seth"] = "Seth";
  ["Zahila"] = "Zahila";
  ["Rokk"] = "The Rokk, Master of Cooking";
  ["Barth"] = "Barthamus";

  ["ExitTF"] = "Exit to Terokkar Forest";

  ["ABG"] = "Alliance Brigadier General (Alliance";
  ["ABG&"] = "          Battlemasters)";
  ["Vinvo"] = "Vinvo Goldgear 《远古海滩军官》";
  ["Vinvo&"] = "          Battlemaster";
  ["Haelga"] = "Haelga Slatefist 《奥特兰克山谷军官》";
  ["Lylandor"] = "Lylandor 《战歌峡谷军官》";
  ["Iravar"] = "Iravar 《风暴之眼军官》";
  ["AEternum"] = "Adam Eternum 《阿拉希盆地军官》";

  ["WorldEndT"] = "World's End Tavern";
  ["Lathrai"] = "Wind Trader Lathrai";
  ["Shaarubo"] = "Shaarubo, Bartender";
  ["Lonika"] = "Lonika Stillblade, Rogue Academy Proprietor";
  ["Kylene"] = "Kylene, Barmaid";
  ["Pilton"] = "Haris Pilton, Socialite";
  ["Zhareem"] = "Wind Trader Zhareem";
  ["Mah'duun"] = "Nether-Stalker Mah'duun";
  ["Zephyr"] = "Zephyr (Reputation Port NPC to CoT)";
  ["salabim"] = "Sal'salabim";
  ["Raliq"] = "Raliq the Drunk";

  ["Kradu"] = "Kradu Grimblade, Weaponsmith Trainer";
  ["Zula"] = "Zula Slagfury, Armorsmith Trainer";

  ["Orph"] = "Orphanage";
  ["Bartlett"] = "Nicole Bartlett, Matron";

  ["HWB"] = "Horde Warbringer (Horde Battlemasters)";
  ["Jojindi"] = "Jojindi 《远古海滩军官》";
  ["Montok"] = "Montok Redhands 《战歌峡谷军官》";
  ["Maka"] = "Wolf-Sister Maka 《奥特兰克山谷军官》";
  ["Keldor"] = "Keldor the Lost 《阿拉希盆地军官》";
  ["Yula"] = "Yula the Fair 《风暴之眼军官》";
  ["Issca"] = "Issca, Tabard Vendor";

  ["Seymour"] = "Seymour, Master Skinning Trainer";
  ["Ernie"] = "Ernie Packwell, Trade Goods";
  ["Cro"] = "Cro Threadstrong, Leatherworking Supplies";
  ["Darmari"] = "Darmari, Master Leatherworking Trainer";
  ["Andrion"] = "Andrion Darkspinner, Shadoweave Specialist";
  ["Gidge"] = "Gidge Spellweaver, Spellfire Specialist";
  ["Nasmara"] = "Nasmara Moonsong, Mooncloth Specialist";
  ["Eiin"] = "Eiin, Specialty Tailoring Supplies";
  ["Griftah"] = "Griftah, Amazing Amulets";
  ["Viggz"] = "Viggz Shinesparked 《工程学供应商》";
  ["Fantai"] = "Fantai, Reagent Vendor";
  ["Aaron"] = "Aaron Hollman 《锻造供应商》";
  ["MRuby"] = "Madam Ruby, Enchanting Supplies";
  ["Eral"] = "Eral, General Goods";
  ["Moser"] = "Muffin Man Moser, Bread Merchant";
  ["Nakodu"] = "Nakodu, Lower City Quartermaster";
  ["JackT"] = "Jack Trapper, Cook";
  ["Saltit"] = "Jim Saltit, Cooking Supplies";
  ["GSmith"] = "Granny Smith, Fruit Seller";
  ["BTurner"] = "Brendan Turner, Meat Vendor";
  ["Grok"] = "Grok";
  ["Oven"] = "Clay Oven";
  ["Tobias"] = "Tobias the Filth Gorger";
  ["Gordie"] = "Gordie";

  ["LowerSB"] = "Lower entrance to Scryer Bank";

  ["Browning"] = "Kevin Browning, Coffee Aficionado (Travels";
  ["Browning&"] = "          from east exit to south east exit)";

  --Red
  ["Scryer's Tier"] = "Scryer's Tier";

  ["Haelthol"] = "Innkeeper Haelthol";

  ["Ilthuril"] = "Ilthuril, Stable Master";
  ["Endernor"] = "Trader Endernor, Trade Goods";
  ["Lisrythe"] = "Lisrythe Bloodwatch, Fence";
  ["Mahir"] = "Mahir Redstroke, Dagger Vendor";
  ["Dathris"] = "Dathris Sunstriker";

  ["Kirembri"] = "Kirembri Silvermane, Master Jewelcrafting";
  ["Kirembri&"] = "          Trainer";
  ["Hanlir"] = "Hanlir, Master Mining Trainer";
  ["Lanloer"] = "Scribe Lanloer, Master Inscription Trainer";
  ["Andiala"] = "Enchantress Andiala, Master Enchanting Trainer";

  ["Nalama"] = "Nalama the Merchant, General Goods";
  ["Urumir"] = "Urumir Stavebright, Staff Vendor";

  ["Falris"] = "Magister Falris";
  ["Fyalenn"] = "Magistrix Fyalenn (Accepts Tokens in exchange";
  ["Fyalenn&"] = "          for Scryer Reputation)";

  ["SeerLib"] = "The Seer's Library";
  ["Arodis"] = "Arodis Sunblade, Keeper of Sha'tari Artifacts";
  ["Veynna"] = "Veynna Dawnstar, Keeper of Sha'tari Heirlooms";
  ["Volali"] = "Enchantress Volali, Enchanting Trainer";
  ["Bardolan"] = "High Enchanter Bardolan, Master Enchanting";
  ["Bardolan&"] = "          Trainer";
  ["Voren"] = "Voren'thal the Seer";
  ["Lisrythe"] = "Loremaster Skosiris";
  ["Traini"] = "Training for all professions up to Master level";
  ["Traini&"] = "          (Book stacks)";

  ["Mi'irku"] = "Mi'irku Farstep, Portal Trainer (Up the outside";
  ["Mi'irku&"] = "          slope)";
  ["Olodam"] = "Olodam Farhollow";

  ["Alamaro"] = "Vinemaster Alamaro, Wine Vendor";
  ["Amshesha"] = "Amshesha Stilldark, Reagent Vendor";
  ["Yurial"] = "Yurial Soulwater, Enchanting Supplies";

  ["Quelama"] = "Quelama Lightblade, Wand Vendor";
  ["Selanam"] = "Selanam the Blade, Sword Vendor";

  ["Aelthin"] = "Aelthin, Master Alchemy Trainer";
  ["Alaenra"] = "Botanist Alaenra, Master Herbalism Trainer";

  ["Delvinar"] = "Archer Delvinar, Specialty Ammunition";
  ["Daenril"] = "Daenril, Master Leatherworking Trainer";
  ["Miralisse"] = "Miralisse, Master Tailoring Trainer";
  ["Irduil"] = "Irduil, Master Skinning Trainer";
  ["Barien"] = "Barien, Master Blacksmithing Trainer";
  ["Sinbei"] = "Engineer Sinbei, Master Engineering Trainer";

  --Blue
  ["ARise"] = "Aldor Rise";

  ["Minalei"] = "Minalei, Innkeeper";
  ["Garul"] = "Garul, Food and Drink Vendor";
  ["Oruhe"] = "Oruhe, Stable Master";

  ["Nemiha"] = "Nemiha, Master Jewelcrafting Trainer";
  ["Fono"] = "Fono, Master Mining Trainer";
  ["Zurii"] = "Zurii, Master Enchanting Trainer";
  ["Lidio"] = "Recorder Lidio, Master Inscription Trainer";

  ["Caylee"] = "Caylee Dak";

  ["Erothem"] = "Harbinger Erothem";
  ["Adyen"] = "Adyen the Lightwarden";

  ["Hamanar"] = "Hamanar, Master Jewelcrafting Trainer";
  ["Inessera"] = "Inessera, Jewelcrafting Supplies";
  ["Ahemen"] = "Ahemen, Staff Vendor";

  ["Dremm"] = "Dremm, Master Skinning Trainer";
  ["Aoa"] = "Weaver Aoa, Master Tailoring Trainer";
  ["Korim"] = "Korim, Master Leatherworking Trainer";
  ["Bova"] = "Marksman Bova, Specialty Ammuntion";
  ["Kanhu"] = "Alchemist Kanhu, Master Alchemy Trainer";
  ["Jijia"] = "Jijia, Master Herbalism Trainer";
  ["Onodo"] = "Onodo, Master Blacksmithing Trainer";
  ["Mihila"] = "Technician Mihila, Master Engineering Trainer";

  ["UnenLight"] = "Shrine of Unending Light";
  ["Ishanah"] = "Ishanah, High Priestess of the Aldor";
  ["Kelara"] = "Kelara, Keeper of Sha'tari Heirlooms";
  ["Asuur"] = "Asuur, Keeper of Sha'tari Artifacts";

  ["ENagrand"] = "Exit to Nagrand";
    
  --NPC Silvermoon
  --White
  ["Bazaar"] = "The Bazaar";

  ["Wayfar"] = "Wayfarer's Rest";
  ["Jovia"] = " Innkeeper Jovia, Innkeeper";
  ["Sylann"] = "Sylann, Cook";
  ["Quelis"] = "Quelis, Cooking Supplies";

  ["SFinery"] = "Silvermoon Finery";
  ["Zyandrel"] = "Zyandrel, Cloth Armor Merchant";
  ["Andra"] = "Andra, Clothier";
  ["Rathin"] = "Rathin, Bag Vendor";

  ["Bithrus"] = "Bithrus, Fireworks Vendor";

  ["Keelen's"] = "Keelen's Trustworthy Tailoring";
  ["SorimL"] = "Sorim Lightsong, Horde Cloth Quartmaster";
  ["Keelen"] = "Keelen Sheets, Tailoring Trainer";
  ["Deynna"] = "Deynna, Tailoring Supplier";

  ["Welethelon"] = "Welethelon, Blunt Weapon Merchant";
  ["Noraelath"] = "Noraelath, Leather Armor Merchant";

  ["BladesbR"] = "Blades by Rahein";
  ["Rahein"] = "Rahein, Blade Vendor";
  ["Feledis"] = "Feledis, Axe Vendor";

  ["GeGoods"] = "General Goods";
  ["Sathren"] = "Sathren Azuredawn, General Goods";
  ["Zalle"] = "Zalle, Reagent Vendor";

  ["SSPMP"] = "Shields of Silver/Plate and Mail Protection";
  ["Winthren"] = "Winthren 《盾牌商人》";
  ["Tynna"] = "Tynna 《板甲商人》";
  ["Keeli"] = "Keeli, Mail Armor Merchant";

  ["Parnis"] = "Parnis, Tradesman";

  --Purp
  ["WElders"] = "Walk of Elders";

  ["Harene"] = "Harene Plainwalker, Druid Trainer";

  ["Valaani's"] = "Valaani's Arcane Goods";
  ["Velanni"] = "Velanni, Alchemy Supplies & Reagents";
  ["Zathanna"] = "Zathanna, Wand Vendor";

  ["CGate"] = "The Shepperd's Gate";

  ["SilRegistry"] = "Silvermoon Registry";
  ["Tandrine"] = "Tandrine, Guild Master";
  ["Kredis"] = "Kredis, Tabard Vendor";

  ["Lynalis"] = "Lynalis, Leatherworking Trainer";
  ["Zaralda"] = "Zaralda, Leatherworking Supplies";
  ["Tyn"] = "Tyn, Skinning Trainer";

  ["Drathen"] = "Drathen, Fishing Trainer";
  ["Olirea"] = "Olirea 《钓鱼供应商》";
  ["Alestus"] = "Alestus, First Aid Trainer";

  --Gren
  ["RoyEx"] = "The Royal Exchange";

  ["SCI"] = "Silvermoon City Inn";
  ["Velandra"] = "Innkeeper Velandra, Innkeeper";
  ["Suntouched"] = "Vinemaster Suntouched, Wine & Spirits Merchant";
  ["BKAdept"] = "Blood Knight Adept";
  ["Stillb"] = "Blood Knight Stillblade";

  ["Kalinda"] = "Kalinda, Jewelcrafting Trainer";
  ["Gelanthis"] = "Gelanthis, Jewelcrafting Supplier";
  ["Amin"] = "Amin, Apprentice Jewelcrafter";

  --Red
  ["FarSquare"] = "Farstriders Square";

  ["Celana"] = "Celana, Bowyer";
  ["Matha"] = "Mathaleron, Gunsmith";

  ["Osselan"] = "Osselan, Paladin Trainer";
  ["Ithelis"] = "Ithelis, Paladin Trainer";
  ["CBachi"] = "Champion Bachi, Paladin Trainer";
  ["Bvalor"] = "Knight-Lord Bloodvalor";
  ["Astalor"] = "Magister Astalor Bloodsworn (Lower Section)";
  ["Solanar"] = "Lord Solanar Bloodwrath (Lower Section)";
  ["Ileda"] = "Ileda 《武器大师》";

  ["Bipp"] = "Bipp Glizzitor 《竞技场管理员》";
  ["Karen"] = "Karen Wentworth 《阿拉希盆地军官》";
  ["Gurak"] = "Gurak 《奥特兰克山谷军官》";
  ["Duyash"] = "Duyash the Cruel 《风暴之眼军官》";
  ["Krukk"] = "Krukk 《战歌峡谷军官》";
  ["Mabrian"] = "Mabrian Fardawn 《远古海滩军官》";
  ["Mabrian&"] = "          Battlemaster";

  ["SLowerSec"] = "Stairs to Lower Section";

  ["Shalenn"] = "Shalenn, Stable Master";
  ["Tana"] = "Tana, Hunter Trainer";
  ["Oninath"] = "Oninath, Hunter Trainer";
  ["Zandine"] = "Zandine, Hunter Trainer";
  ["Halthenis"] = "Halthenis, Pet Trainer";

  ["Zelan"] = "Zelan 《采矿供应商》";
  ["Belil"] = "Belil, Mining Trainer";
  ["Bemarrin"] = "Bemarrin, Blacksmithing Trainer";
  ["Eriden"] = "Eriden 《锻造供应商》";

  ["Danwe"] = "Danwe, Engineering Trainer";
  ["Yatheon"] = "Yatheon, Engineering Supplier";

  --Ltblu
  ["MurRow"] = "Murder Row";

  ["Nerisen"] = "Nerisen, Rogue Trainer";
  ["Elara"] = "Elara, Rogue Trainer";
  ["Zelanis"] = "Zelanis, Rogue Trainer";
  ["Darlia"] = "Darlia, Poison Supplies";

  ["Talionia"] = "Talionia, Warlock Trainer";
  ["Alamma"] = "Alamma, Warlock Trainer";
  ["Zanien"] = "Zanien, Warlock Trainer";

  --Orng
  ["CourtSun"] = "Court of the Sun";

  ["Camberon"] = "Camberon, Alchemy Trainer";
  ["Nathera"] = "Botanist Nathera, Herbalist";
  ["elaris"] = "Melaris, Alchemy Supplies";

  ["Sedana"] = "Sedana, Enchanting Trainer";
  ["Lyna"] = "Lyna, Enchanting Supplies";
  ["Zanatasia"] = "Zanatasia, Inscription Trainer";
  ["Lelorian"] = "Lelorian 《铭文供应商》";

  --Blue
  ["SunSpire"] = "Sunfury Spire";

  ["OrbTrans"] = "Orb of Translocation to Undercity";

  ["Lor'themar"] = "Lor'themar Theron, Regent Lord of Quel'Thalas";
  ["Brightwing"] = "Halduron Brightwing, Ranger General";
  ["Rommath"] = "Grand Magister Rommath";

  ["Lotheolan"] = "Lotheolan, Priest Trainer";
  ["Belestra"] = "Belestra, Priest Trainer";
  ["Aldrae"] = "Aldrae, Priest Trainer";

  ["Zaedana"] = "Zaedana, Mage Trainer";
  ["Quithas"] = "Quithas, Mage Trainer";
  ["Inethven"] = "Inethven, Mage Trainer";
  ["Narinth"] = "Narinth, Portal Trainer";
  
  --NPC Stormwind
  --Ltblu

  ["Barbershop"] = "Barbershop";

  ["ValHer"] = "Valley of Heroes";

  ["SBank"] = "Stormwind Counting House";
  ["Mahloof"] = "Officer Mahloof, Stormwind Commendations";

  ["Jorgen"] = "Jorgen";
  ["Umbrua"] = "Farseer Umbrua, Shaman Trainer";
  ["GMarcus"] = "General Marcus Jonathan";
  ["FMAfras"] = "Field Marshal Afrasiabi";
  ["MMattin"] = "Major Mattingly";
  ["Goodman"] = "Crier Goodman (Travels throughout the city)";

  --White
  ["TDistri"] = "Trade District";

  ["SWVC"] = "Stormwind Visitor Center";
  ["AdwinL"] = "Adwin Laughlin, Guild Master";
  ["RebecL"] = "Rebecca Laughlin, Tabard Designer";

  ["Trias'C"] = "Trias' Cheese";
  ["ElainT"] = "Elain Trias, Mistress of Cheese";
  ["BenT"] = "Ben Trias, Apprentice of Cheese";
  ["ETrias"] = "Elling Trias, Master of Cheese";

  ["Pestle's"] = "Pestle's Apothecary";
  ["RenatG"] = "Renato Gallina";
  ["KyraB"] = "Kyra Boucher, Reagent";
  ["KeldrB"] = "Keldric Boucher, Alchemy Sypplies & Reagents";
  ["MPestl"] = "Morgan Pestle";

  ["EveryM"] = "Everyday Merchandise";
  ["StefanT"] = "Stefanie Turner";
  ["EdnaM"] = "Edna Mullby, Trade Supplies";
  ["TMull"] = "Thurman Mullby 《杂货商》";

  ["Weller's"] = "Weller's Arsenal";
  ["MardaW"] = "Marda Weller, Weapon's Merchant";
  ["GunthW"] = "Gunther Weller, Weapon's Merchant";
  ["WooPing"] = "Woo Ping 《武器大师》";

  ["LionArm"] = "Lionheart Armory";
  ["CarlaG"] = "Carla Granger, Cloth Armor Merchant";
  ["LaraM"] = "Lara Moore, Leather Armor Merchant";
  ["AldrM"] = "Aldric Moore, Mail Armor Merchant";
  ["HarlB"] = "Harlan Bagley";

  ["TGRI"] = "The Guided Rose Inn";
  ["InnAl"] = "Innkeeper Allison";

  ["EmpQuiv"] = "The Empty Quiver";
  ["FredeS"] = "Frederick Stover, Bow & Arrow Merchant";
  ["LinaS"] = "Lina Stover, Arrow Merchant";

  ["JSharp"] = "Jelinek Sharpshear, Barber";

  ["DungL"] = "Dungar Longdrink, Gryphon Master";

  ["FragFlow"] = "Fragrant Flowers";
  ["BGump"] = "Bernard Gump, Florist";
  ["FGump"] = "Felicia Gump 《草药学供应商》";

  ["CanalTail"] = "Canal Tailor & Fit Shop";
  ["LisbS"] = "Lisbeth Schneider, Clothier";
  ["RemaS"] = "Rema Schneider";

  ["ArnoL"] = "Arnold Leland, Fishing Trainer";
  ["CatheL"] = "Catherine Leland 《钓鱼供应商》";

  ["GallWine"] = "Gallina Winery";
  ["JuliG"] = "Julia Gallina, Wine Vendor";
  ["RobertP"] = "Roberto Pupellyverbos, Meriot Connoisseur";
  ["SuzetG"] = "Suzette Gallina";

  --Orng
  ["MageQuart"] = "The Mage Quarter";

  ["Stock"] = "The Stockades";
  ["WThelw"] = "Warden Thelwater";
  ["Stocks"] = "The Stormwind Stockades Instance";

  ["CStanf"] = "Catarina Stanford, Inscription Trainer";
  ["McCorm"] = "Stanely McCormick 《铭文供应商》";

  ["Mazen"] = "Mazen Mac'Nadir, Academy of Arcane Arts";
  ["Mazen&"] = "          & Sciences";
  ["AdairG"] = "Adair Gilroy, Librarian";
  ["ADellis"] = "Acolyte Dellis";

  ["LucanC"] = "Lucan Cordell, Enchanting Trainer";
  ["JessaraC"] = "Jessara Cordell, Enchanting Supplies";

  ["SWStaves"] = "Stormwind Staves";
  ["ArdwynC"] = "Ardwyn Cailen, Wand Merchant";
  ["AllanH"] = "Allan Hafgan, Staves Merchant";

  ["Duncan'sT"] = "Duncan's Textiles";
  ["DuncanC"] = "Duncan Cullen, Light Armor Merchant";
  ["AlexanB"] = "Alexandra Bolero, Tailoring Supplies";
  ["GeorgB"] = "Georgio Bolero, Tailoring Trainer";
  ["Clavicus"] = "Clavicus Knavingham. Alliance Cloth";
  ["Clavicus&"] = "          Quartermaster";

  ["AlcNee"] = "Alchemy Needs";
  ["Tannysa"] = "Tannysa, Herbalism Trainer";
  ["Lilyss"] = "Lilyssia Nightbreeze, Alchemy Trainer";
  ["MariaL"] = "Maria Lumere, Alchemy Supplies";
  ["Eldra"] = "Eldraeith 《草药学供应商》";

  ["CollinM"] = "Collin Mauren";

  ["BlueRec"] = "The Blue Recluse";
  ["Joachim"] = "Joachim Brenlow, Bartender";
  ["ConnerR"] = "Conner Rivers, Apprentice Chef";
  ["SLohan"] = "Steven Lohan";
  ["AStern"] = "Angus Stern, Head Chef";
  ["CFire"] = "Cooking Fire";

  ["AMalin"] = "Archmage Malin";

  ["WizSan"] = "Wizard's Sanctum (Central Tower)";
  ["HAndromath"] = "High Sorcerer Andromath";
  ["JCannon"] = "Jennea Cannon, Mage Trainer";
  ["Elsharin"] = "Elsharin, Mage Trainer";
  ["MDumas"] = "Maginor Dumas, Master Mage";
  ["LPurdue"] = "Larimaine Purdue, Portal Trainer";

  ["LarsonClo"] = "Larson Clothiers";
  ["WLarson"] = "Wynne Larson, Robe Merchant";
  ["ELarson"] = "Evan Larson, Hatter";

  ["EssenComp"] = "Essential Components";
  ["OVaughn"] = "Owen Vaughn, Reagents";

  ["AncientCu"] = "Ancient Curios";
  ["Yserian"] = "Charys Yserian, Arcane Trinkets Vendor";

  ["SlaughtLa"] = "The Slaughtered Lamb";
  ["Jarel"] = "Jarel Moore, Bartender";
  ["Jalane"] = "Jalane Ayrole, Master Shadoweave Tailor";
  ["Zardeth"] = "Zardeth of the Black Claw";
  ["Sandahl"] = "Sandahl, Warlock Trainer";
  ["Gakin"] = "Gakin the Darkbinder";
  ["Cloyce"] = "Demisette Cloyce, Warlock Trainer";
  ["Deline"] = "Ursula Deline, Warlock Trainer";
  ["Spackle"] = "Spackle Thornberry";

  ["Pyrot"] = "Pyrotechnics";
  ["Singh"] = "Darian Singh, Fireworks Vendor";

  --Cyan
  ["SWPark"] = "The Park";

  ["Folsom"] = "Caretaker Folsom";

  ["Sylista"] = "Sylista, Stable Master";

  ["SWInn"] = "Inn";

  ["Shylamir"] = "Shylamir, Herbalism Trainer";

  ["Tavern"] = "Tavern";

  ["ArgosN"] = "Argos Nightwhisper";
  ["Sheldras"] = "Sheldras Moontree, Druid Trainer";
  ["Theridian"] = "Theridian, Druid Trainer";
  ["Maldryn"] = "Maldryn, Druid Trainer";
  ["NaraM"] = "Nara Meideros, Priest Trainer";

  ["WAP"] = "These three wander around the Park";
  ["Shailiea"] = "Shailiea";
  ["KimberG"] = "Kimberly Grant";
  ["KellyG"] = "Kelly Grant";

  --Red
  ["SWHarbor"] = "The Stormwind Harbor";

  ["Thargold"] = "Thargold Ironwing";
  ["Nayura"] = "Nayura, Dockmaster";
  ["SAuberd"] = "Ship to Auberdine";
  ["Assurance"] = "The Assurance";
  ["PCarver"] = "Captain Paul Carver";
  ["GCPK"] = "Galley Chief Paul Kubit, Food & Drink Vendor";
  ["CurtisP"] = "Engineer Curtis Paddock, Trade Supplies";
  ["LeeshaT"] = "Leesha Tannerby, Dockmaster";
  ["SVali"] = "Ship to Valiance Keep";
  ["StevenA"] = "Steven Allen";
  ["SWlight"] = "Stormwind lighthouse";

  --Purp
  ["CathSqua"] = "Cathedral Square";

  ["MorrisL"] = "Morris Lawry";

  ["FThread"] = "The Finest Thread";

  ["JMaces"] = "Just Maces";
  ["GArdus"] = "Gregory Ardus, Staff & Mace Merchant";

  ["RPlates"] = "Righteous Plates";
  ["AgustM"] = "Agustus Moulaine, Mail Armor Merchant";
  ["TheresM"] = "Theresa Moulaine, Robe Vendor";

  ["BKrist"] = "Brother Kristoff";

  ["OMNight"] = "Orphan Matron Nightingale";
  ["Shel"] = "Shellene, Orphan Matron";

  ["CathLig"] = "Cathedral of Light";
  ["BSarno"] = "Brother Sarno";
  ["Rall"] = "Dunthorian Rall";
  ["BFarth"] = "Bishop Farthing";
  ["ABBened"] = "Arch Bishop Benedictus";
  ["Gazin"] = "Gazin Tenorm";
  ["HPLaur"] = "High Priestess Laurena, Priest Trainer";
  ["JoshPT"] = "Brother Joshua, Priest Trainer";
  ["Benj"] = "Brother Benjamin, Priest Trainer";

  ["Grayson"] = "Lord Grayson Shadowbreaker, Paladin Trainer";
  ["KathPT"] = "Katherine the Pure, Paladin Trainer";
  ["ArthPT"] = "Arthur the Faithfull, Paladin Trainer";

  ["SFull"] = "Sharina Fuller, First Aid Trainer";
  ["BCass"] = "Brother Cassius, Reagent Vendor";

  ["CathLigD"] = "Cathedral of Light (Downstairs)";
  ["BAnton"] = "Brother Anton, Scarlet Crusade Emissary";

  ["CityHall"] = "City Hall";
  ["BarosA"] = "Baros Alexston, City Architect";
  ["RFBathr"] = "Royal Factor Bathrilor, Stormwind Census";

  ["ArgentD"] = "The Argent Dawn";

  ["OEmma"] = "Ol' Emma (Travels to the well in the Trade District";
  ["OEmma&"] = "          and back to her house every fifteen minutes)";

  --Yell
  ["DwarvDist"] = "The Dwarven District";

  ["CTAlley"] = "Cut-Throat Alley";

  ["GelmanS"] = "Gelman Stonehand, Mining Trainer";
  ["BrookS"] = "Brook Stonebraid 《采矿供应商》";

  ["BorgusS"] = "Borgus Steelhand, Weaponsmith Trainer";
  ["KathA"] = "Kathrum Axehand 《斧商》";
  ["Grimand"] = "Grimand Elmore";

  ["ThulmF"] = "Thulman Flintcrag, Guns Vendor";

  ["Shoni"] = "Shoni the Shilent";

  ["LilliS"] = "Lilliam Sparkspinkdle, Engineering Trainer";
  ["BilliC"] = "Billibub Cogspinner, Engineering Supplier";

  ["EyeStorm"] = "Eye of the Storm Emissary";

  ["TherumD"] = "Therum Deepforge, Blacksmithing Trainer";
  ["KaitaD"] = "Kaita Deepforge 《锻造供应商》";
  ["Hank"] = "Hank the Hammer, Mithril Order";
  ["Furen"] = "Furen Longbeard";
  ["BeniB"] = "Beni Boltshear 《锁匠》";

  ["Jenova"] = "Jenova Stoneshield, Stable Master";
  ["Einris"] = "Einris Brightspear, Hunter Trainer";
  ["Ulfir"] = "Ulfir Ironbeard, Hunter Trainer";
  ["Thorfin"] = "Thorfin Stoneshield, Hunter Trainer";

  ["Morgg"] = "Morgg Stormshot";

  ["Brohann"] = "Brohann Caskbelly, Explorerers' League";
  ["Wilder"] = "Wilder Thistlenettle";

  --Blue
  ["SWKeep"] = "Stormwind Keep";

  ["PetCham"] = "Petitioner's Chamber";
  ["CRRidge"] = "Count Remington Ridgewell, House of Nobles";
  ["LBWishock"] = "Lord Baurles K. Wishock, House of Nobles";
  ["Caledra"] = "Caledra Dawnbreeze";

  ["Varian"] = "King Varian Wrynn, King of Stormwind";
  ["Anduin"] = "Anduin Wrynn, Prince of Stormwind";
  ["ETaluun"] = "Emissary Taluun";

  ["Delavey"] = "Bishop Delavey";

  ["WarRoom"] = "War Room";
  ["Jes-Ter"] = "Grand Admiral Jes-Tereth";
  ["MithI"] = "Mithras Ironhill";
  ["Beka"] = "Beka Zipwhistle 《竞技场管理员》";
  ["ThelmS"] = "Thelman Slatefist, Alterac Valley 《竞技场管理员》";
  ["Elfarran"] = "Elfarran, Warsong Gultch Battlemaster";
  ["Jovil"] = "Jovil 《风暴之眼军官》";
  ["Hotes"] = "Lady Hoteshem 《阿拉希盆地军官》";
  ["Bethany"] = "Bethany Aldire 《远古海滩军官》";

  ["MSamuel"] = "Major Samuelson, Stormwind City Guard";

  ["Tyrion"] = "Tyrion";
  ["Alicia"] = "Alicia";

  ["RoyLib"] = "Royal Library";
  ["Milton"] = "Milton Sheaf, Librarian";
  ["Donyal"] = "Donyal Tovald, Librarian";
  ["GregorL"] = "Lord Gregor Lescovar";

  ["RoyGal"] = "Royal Gallery";

  --Gren
  ["OldTown"] = "Old Town";

  ["HHW"] = "Heavy Handed Weapons";
  ["GKoen"] = "Gerik Koen, Two-Handed Weapon Merchant";

  ["Pig&W"] = "Pig & Whistle Tavern";
  ["ReeseL"] = "Reese Langston, Tavernkeeper";
  ["SRyback"] = "Stephen Ryback, Cooking Trainer";
  ["ETate"] = "Erika Tate, Cooking Supplies";
  ["KKabon"] = "Kendor Kabonka, Master of Cooking Recipes";
  ["Bartleby"] = "Bartleby, Drunk";
  ["DLangs"] = "David Langston";
  ["Aedis"] = "Aedis Brom";
  ["Faral"] = "Christoph Faral";
  ["HarryB"] = "Harry Burlguard";
  ["EllyLang"] = "Elly Langston, Barmaid";

  ["FDV"] = "The Five Deadly Venoms";
  ["Lenney"] = "Lenney 'Fingers' McCoy (outside)";
  ["Beasley"] = "Ol'Beasley (outside)";
  ["Dashel"] = "Dashel Stonefist (outside)";
  ["MilesS"] = "Miles Sidney, Poison Supplies";
  ["Wright"] = "Wright Williams";

  ["HonestB"] = "Honest Blades";
  ["Heinrich"] = "Heinrich Stone 《铸剑商》";

  ["Immuni"] = "Limited Immunity";
  ["OStrang"] = "Osric Strang, Heavy Armor Merchant";
  ["WStrang"] = "Wilhelm Strang, Mail Armor Merchant";

  ["Osborne"] = "Osborne the Night Man, Rogue Trainer";

  ["CHall"] = "Champion's Hall";
  ["O'Neal"] = "Captain O'Neal, Jewelcrafting Quartermaster";
  ["Jacksp"] = "Lieutenant Jackspring, Weapons Quartermaster";
  ["Biggin"] = "Master Sergeant Biggins, Officer Accessories";
  ["Biggin&"] = "          Quartermaster";
  ["Karter"] = "Lieutenant Karter, Mount Vendor";
  ["Tristia"] = "Lieutenant Tristia, Veteran Armor Quartermaster";
  ["Skyshad"] = "Sergeant Major Skyshadow";
  ["Ennarth"] = "Harbinger Ennarth";
  ["Gaiman"] = "Archmage Gaiman";
  ["Vaccar"] = "Lieutenant Major Vaccar";
  ["Dirgeh"] = "Captain Dirgehammer, Apprentice Armor";
  ["Dirgeh&"] = "          Quartermaster";
  ["Moonst"] = "Knight-Lieutenant Moonstrike, Armor";
  ["Moonst&"] = "          Quartermaster";
  ["Clate"] = "Sergeant Major Clate, Armor Quartermaster";

  ["ComCent"] = "Command Center";
  ["Wood"] = "Master Wood";
  ["IlsaC"] = "Ilsa Corbin 《战士训练师》";
  ["WuShen"] = "Wu Shen 《战士训练师》";
  ["AnderG"] = "Ander Germaine 《战士训练师》";

  ["SI:7"] = "SI:7";
  ["Mathias"] = "Master Mathias Shaw, Leader of SI:7";
  ["Renzik"] = "Renzik 'The Shiv', SI:7 Operative";
  ["Sloan"] = "Sloan McCoy, Poison Supplies";
  ["Fel"] = "Jasper Fel, Shady Dealer";
  ["Romano"] = "Lord Tony Romano, Rogue Trainer";
  ["Mixil"] = "Doc Mixilpixil (downstairs)";

  ["ProHide"] = "The Protective Hide";
  ["STanner"] = "Simon Tanner, Leatherworking Trainer";
  ["JTanner"] = "Jillian Tanner, Leatherworking Supplies";
  ["Granger"] = "Maris Granger, Skinning Trainer";
  ["AlyssaG"] = "Alyssa Griffith, Bag Vendor";
  ["SeomanG"] = "Seoman Griffith, Leather Armor Merchant";
  ["Noah"] = "Little Noah";

  ["ThanBoo"] = "Thane's Boots";
  ["Mayda"] = "Mayda Thane, Cobbler";

  ["SilverSh"] = "The Silver Shield";
  ["BCross"] = "Bryan Cross 《盾牌商人》";

  ["JennL"] = "Jenn Langston (Does a circuit around Old Town)";
  ["Nikova"] = "Nikova Raskol (Does a circuit around Old Town";
  ["Nikova&"] = "          stopping at three places for a few";
  ["Nikova&1"] = "          minutes each stop)";
  
  --NPC Thunder Bluff
  --White
  ["LLevel"] = "The Lower Rise";

  ["Pala"] = "Innkeeper Pala";
  ["Bulrug"] = "Bulrug, Stable Master";
  ["AtHR"] = "Access to The Hunter Rise";

  ["ElevM"] = "Elevator to Mulgore";

  ["TBCI"] = "Thunder Bluff Civic Information";
  ["Thrumn"] = "Thrumn, Tabard Vendor";
  ["Krumn"] = "Krumn, Guild Master";
  ["Scorch"] = "Scorching Fire";

  ["Kuruk's"] = "Kuruk's Goods";
  ["Kuruk"] = "Kuruk 《杂货商》";
  ["Pakwa"] = "Pakwa, Bag Vendor";

  ["TGASu"] = "Trade Goods and Supplies";
  ["ShadiM"] = "Shadi Mistrunner, Trade Goods Supplies";

  ["Jyn"] = "Jyn Stonehoof, Weapons Merchant";
  ["Ansek"] = "Ansekhwa 《武器大师》";

  ["Hewa's"] = "Hewa's Armory";
  ["Hewa"] = "Hewa, Cloth Armor Merchant";
  ["Elki"] = "Elki, Mail Armor Merchant";
  ["Ahanu"] = "Ahanu, Armor Merchant";

  ["Tal"] = "Tal, Wind Rider Master";
  ["ALLMLUL"] = "Access to The Lower Rise, The Middle Rise and";
  ["ALLMLUL&"] = "          The Upper Rise";

  ["derstr"] = "Officer Thunderstrider, Thunder Bluff";
  ["derstr&"] = "          Commendations";

  ["BandG"] = "Breads and Grains";
  ["Fry"] = "Fry Mistrunner, Bread Vendor";

  ["Karn's"] = "Karn's Smithy";
  ["Karn"] = "Karn Stonehoof, Blacksmithing Trainer";
  ["Taur"] = "Taur Stonehoof 《锻造供应商》";
  ["Orm"] = "Orm Stonehoof";

  ["Truths"] = "Sage Truthseeker";
  ["AtSR"] = "Access to The Spirit Rise";

  ["Geology"] = "Stonehoof Geology";
  ["Brek"] = "Brek Stonehoof, Mining Trainer";
  ["KurmS"] = "Kurm Stonehoof 《采矿供应商》";

  ["Eyahn"] = "Eyahn Eagletalon";
  ["Auld"] = "Auld Stonespire";

  ["Chepi"] = "Chepi, Reagent Vendor (Does a circle around the";
  ["Chepi&"] = "          Lower Rise)";
  ["Windst"] = "Bluff Runner Windstrider (Travels between the";
  ["Windst&"] = "          Lower Rise and the Upper Rise)";

  --Purp
  ["MLevel"] = "The Middle Rise";

  ["Thund"] = "Thunderhorn's Archery";
  ["Kuna"] = "Kuna Thunderhorn, Bowyer & Fletching Goods";

  ["FaV"] = "Fruits and Vegetables";
  ["Nan"] = "Nan Mistrunner, Fruit Vendor";

  ["Holis"] = "Holistic Herbalism";
  ["Komin"] = "Komin Winterhoof, Herbalism Trainer";
  ["Nida"] = "Nida Winterhoof 《草药学供应商》";

  ["AtER"] = "Access to The Elder Rise";

  ["CloudB"] = "Cloudeweavers Baskets";
  ["Tand"] = "Tand, Basket Weaver";

  ["Bena's"] = "Bena's Alcehcmy";
  ["Bena"] = "Bena Winterhoof, Alchemy Trainer";
  ["Mani"] = "Mani Winterhoof, Alchemy Supplies";

  ["TBEnchanters"] = "Dawnstrider Enchanters";
  ["Teg"] = "Teg Dawnstrider, Enchanting Trainer";
  ["Nata"] = "Nata Dawnstrider, Enchanting Supplies";

  ["TBArmorers"] = "Thunder Bluff Armorers";
  ["Mooranta"] = "Mooranta, Skinning Trainer";
  ["Veren"] = "Veren Tallstrider";
  ["Tepa"] = "Tepa, Tailoring Trainer";
  ["Mahu"] = "Mahu, Leatherworking & Tailoring Supplies";
  ["Tagain"] = "Tagain, Cloth Armor Merchant";
  ["Fela"] = "Fela, Heavy Armor Merchant";
  ["Grod"] = "Grod, Leather Armour Merchant";
  ["Una"] = "Una, Leatherworking Trainer";
  ["Rumstag"] = "Rumstag Proudstrider, Horde Cloth";
  ["Rumstag&"] = "          Quartermaster";

  --Yell
  ["ULevel"] = "The Upper Rise";

  ["Rainsticks"] = "Rainsticks";
  ["Sunn"] = "Sunn Ragetotem, Staff Merchant";

  ["KS&R"] = "Kodo Steak & Ribs";
  ["Kaga"] = "Kaga Mistrunner, Meat Vendor";

  ["WinterT"] = "Winterhoof Totems";
  ["Tah"] = "Tah Winterhoof";

  ["MTB&T"] = "Mountaintop Bait & Tackle";
  ["Kah"] = "Kah Mistrunner, Fishing Trainer";
  ["Sewa"] = "Sewa Mistrunner 《钓鱼供应商》";

  ["CairneB"] = "Cairne Bloodhoof, High Chieftain";

  ["Halpa"] = "Halpa, Prairie Dog Vendor";

  ["TBFirea"] = "Thunderbluff Firearms";
  ["Hogor"] = "Hogor Thunderhoof, Guns Merchant";

  ["Raget"] = "Ragetotem Arms";
  ["Delgo"] = "Delgo Ragetotem 《斧商》";
  ["Etu"] = "Etu Ragetotem, Mace & Staff Merchant";
  ["Ohanko"] = "Ohanko, Two Handed Weapon Merchant";
  ["Kard"] = "Kard Ragetotem, Sword & Dagger Merchant";

  ["Sura"] = "Sura Wildmane, War Harness Vendor";

  ["Aska's"] = "Aska's Kitchen";
  ["Aska"] = "Aska Mistrunner, Cooking Trainer";
  ["Naal"] = "Naal Mistrunner, Cooking Supplies";

  ["Zangen"] = "Zangen Stonehoof";

  --Blue
  ["HuntR"] = "The Hunter Rise";

  ["HHall"] = "Hunter's Hall";
  ["Urek"] = "Urek Thunderhorn, Hunter Trainer";
  ["Kary"] = "Kary Thunderhorn, Hunter Trainer";
  ["Holt"] = "Holt Thunderhorn, Hunter Trainer";
  ["Sark"] = "Sark Ragetotem 《战士训练师》";
  ["Torm"] = "Torm Ragetotem 《战士训练师》";
  ["Ker"] = "Ker Ragetotem 《战士训练师》";

  ["Saern"] = "Saern Priderunner";
  ["Melor"] = "Melor Stonehoof";

  ["Althal"] = "Althallen Brightblade 《风暴之眼军官》";
  ["Martin"] = "Martin Lindsey 《阿拉希盆地军官》";
  ["Fizim"] = "Fizim Blastwrench 《竞技场管理员》";

  ["Kergul"] = "Kergul Bloodaxe, Warsong Gultch Battlemaster";
  ["Ufuda"] = "Godo Cloudchewer 《远古海滩军官》";
  ["Ufuda&"] = "          Battlemaster";
  ["Taim"] = "Taim Ragetotem 《奥特兰克山谷军官》";

  ["Mosarn"] = "Mosarn";

  ["Hesuwa"] = "Hesuwa Thunderhorn, Pet Trainer";

  --Gren
  ["ERise"] = "The Elder Rise";

  ["HElders"] = "Hall of Elders";
  ["Kym"] = "Kym Wildmane, Druid Trainer";
  ["Turak"] = "Turak Runetotem, Druid Trainer";
  ["Sheal"] = "Sheal Runetotem, Druid Trainer";
  ["Nara"] = "Nara Wildmane";
  ["ADHamuul"] = "Arch Druid Hamuul Runetotem";

  ["Bashana"] = "Bashana Runetotem";

  ["Rahuro"] = "Rahuro, Magatha's Servant";
  ["Magatha"] = "Magatha Grimtotem, Elder Crone";
  ["Cor"] = "Cor Grimtotem";
  ["Gorm"] = "Gorm Grimtotem";

  ["ERDrums"] = "Elder Rise Drums";
  ["Sheza"] = "Sheza Wildmane";

  ["Ghede"] = "Ghede";

  --Orng
  ["SRise"] = "The Spirit Rise";

  ["HallofS"] = "Hall of Spirits";
  ["Beram"] = "Beram Skychaser, Shaman Trainer";
  ["Siln"] = "Siln Skychaser, Shaman Trainer";
  ["Tigor"] = "Tigor Skychaser, Shaman Trainer";
  ["Xanis"] = "Xanis Flameweaver";

  ["SHealing"] = "Spiritual Healing";
  ["Pand"] = "Pand Stonebinder, First Aid Trainer";

  ["Pawe"] = "Pawe Mistrunner";

  ["PVision"] = "Pools of Vision";
  ["Clarice"] = "Clarice Foster";
  ["Poshken"] = "Poshken Hardbinder, Inscription Trainer";
  ["Mertle"] = "Mertle Murkpen 《铭文供应商》";
  ["Malakai"] = "Malakai Cross, Priest Trainer";
  ["Zamah"] = "Apothecary Zamah, Royal Apothecary Society";
  ["Cranst"] = "Birgitte Cranston, Portal Trainer";
  ["Shymm"] = "Archmage Shymm, Mage Trainer";
  ["Welsh"] = "Miles Welsh, Priest Trainer";
  ["Ursyn"] = "Ursyn Ghull, Mage Trainer";
  ["FCobb"] = "Father Cobb, Priest Trainer";
  ["Xane"] = "Thurston Xane, Mage Trainer";
  
  --NPC Undercity
  --White
  ["TraQuart"] = "The Trade Quarter";

  ["Aucti"] = " Auctioneer (Just outside of the Trade Quarter";
  ["Aucti&"] = "           in the Canals)";

  ["ERusk"] = "Eleanor Rusk 《杂货商》";
  ["GenGoods"] = " General Goods";

  ["FDoan"] = "Felicia Doan, Trade Supplies";
  ["GCallow"] = "Genavie Callow";

  ["BHandler"] = "Bat Handler";
  ["MGarrett"] = "Michael Garrett, Bat Handler";
  ["PGarrett"] = "Patrick Garrett";

  ["OGothena"] = "Officer Gothena, Undercity Commendations";

  ["UWeapons"] = "Weapons";
  ["GWendham"] = "Gordon Wendham, Weapons Merchant";
  ["LWarren"] = "Louis Warren, Weapons Merchant";

  ["UHArmor"] = "Heavy Armor";
  ["TWeldon"] = "Timothy Weldon, Heavy Armor Merchant";
  ["WElling"] = "Walter Ellingson, Heavy Armor Merchant";

  ["ULArmor"] = "Light Armor";
  ["LNewcomb"] = "Lauren Newcomb, Light Armor Merchant";
  ["DBartlett"] = "Daniel Bartlett, Trade Supplies";

  ["AMaulray"] = "Anya Maulray, Stable Master";
  ["INorman"] = "Innkeeper Norman";

  ["MReagents"] = "Mordan's Reagents";
  ["Mordan"] = "Mordan, Reagent Vendor";

  ["NaznikS"] = "Naznik Sureshave, Barber";
  ["ECairn"] = "Edward Cairn, Elder";

  ["GuildCT"] = "Guild Creation/Tabards";
  ["ROBauhaus"] = "Royal Overseer Bauhaus, Undercity  Census";
  ["EReming"] = "Edward Remington, Guild Tabard Designer";
  ["CDrakul"] = "Christopher Drakul, Guild Master";
  ["MPleas"] = "Merill Pleasance, Tabard Vendor";

  ["UCook"] = "Cooking";
  ["EBurch"] = "Eunice Burch, Cooking Trainer";
  ["RBurch"] = "Ronald Burch, Cooking Supplies";
  ["RAndrean"] = "Raleigh Andrean, Ex-Chef";

  ["TawnyG"] = "Tawny Grisette, Mushroom Vendor (Does a";
  ["TawnyG&"] = "          circle on the upper area of the Trade";
  ["TawnyG&1"] = "          Quarter)";

  ["JPayson"] = "Jeremiah Payson, Cockroach Vendor";

  ["Balth"] = "Harbinger Balthazad (Does a circuit in the";
  ["Balth&"] = "          Trade Quarter and in the Canals just";
  ["Balth&1"] = "          outside the Trade Quarter)";

  --Purp
  ["Apothe"] = "The Apothecarium";

  ["dugur"] = "Keeper Bel'dugur";

  ["UHerba"] = "Herbalist";
  ["MAllie"] = "Martha Alliestar, Herbalism Trainer";
  ["KAllie"] = "Katrina Alliestar 《草药学供应商》";

  ["ALuca"] = "Alessandro Luca, Blue Moon Odds and Ends";

  ["UEnchant"] = "Enchantment";
  ["LCrowe"] = "Lavinia Crowe, Enchanting Trainer";
  ["TWebb"] = "Thaddeus Webb, Enchanting Supplies";

  ["Parq"] = "Parqual Fintallas";

  ["AGant"] = "Andron Gant";

  ["Alchemist"] = "Alchemist";
  ["Algernon"] = "Algernon, Alchemy Supplies";
  ["DMarsh"] = "Doctor Marsh, Apprentice Alchemist";

  ["DMFelben"] = "Doctor Martin Felben, Apprentice Alchemist";
  ["MAFaranell"] = "Master Apothecary Faranell, Royal Apothecary";
  ["MAFaranell&"] = "          Society";
  ["DHHalsey"] = "Doctor Herbert Halsey, Alchemy Trainer";
  ["Fuely"] = "Chemist Fuely";
  ["Cuely"] = "Chemist Cuely";
  ["TheodG"] = "Theodore Griffs";
  ["Zinge"] = "Apothecary Zinge";
  ["AKeev"] = "Apothecary Keever, Royal Apothecary Society";

  --Blue
  ["WarQuart"] = "The War Quarter";

  ["GerardA"] = "Gerard Abernathy";
  ["LeonaT"] = "Leona Tharpe";
  ["JoannW"] = "Joanna Whitehall";

  ["UBowM"] = "Bow Merchant";
  ["AbigS"] = "Abigail Sawyer, Bow Merchant";

  ["UMining"] = "Mining";
  ["BromK"] = "Brom Killian, Mining Trainer";
  ["SarahK"] = "Sarah Killan 《采矿供应商》";

  ["UWeapM"] = "Weapons Merchants";
  ["Abald"] = "Archibald 《武器大师》";
  ["GeoffH"] = "Geoffrey Hartwell 《武器商》";
  ["BeniF"] = "Benijah Fenner 《武器商》";
  ["FranE"] = "Francis Eliot 《武器商》";

  ["UBlacks"] = "Blacksmith";
  ["JVBrunt"] = "James Van Brunt, Blacksmithing Trainer";
  ["SVBrunt"] = "Samuel Van Brunt 《锻造供应商》";
  ["MTrem"] = "Mirelle Tremayne, Heavy Armor Merchant";

  ["UGunsm"] = "Gunsmith";
  ["NAtwood"] = "Nicholas Atwood, Gun Merchant";

  ["HAtwood"] = "Helena Atwood";

  ["SHouser"] = "Sergeant Houser";
  ["SRutger"] = "Sergeant Rutger";

  ["FLanke"] = "Father Lankester, Priest Trainer";
  ["FLaza"] = "Father Lazarus, Priest Trainer";
  ["UAelth"] = "Aelthalyste, Priest Trainer";
  ["BFowl"] = "Baltus Fowler 《战士训练师》";
  ["ACurt"] = "Angela Curthas 《战士训练师》";
  ["ChristW"] = "Christopher Walker 《战士训练师》";

  --Gren
  ["MagQuart"] = "The Magic Quarter";

  ["UStaff"] = "Staff Merchant";
  ["SUpton"] = "Sydney Upton, Staff Merchant";
  ["ZaneB"] = "Zane Bradford, Wand Vendor";

  ["UTailor"] = "Tailor";
  ["RalsF"] = "Ralston Farnsley, Horde Cloth Quartermaster"; 
  ["SVCroy"] = "Sheldon Von Croy, Cloth Armor Merchant";
  ["Josef"] = "Josef Gregorian, Tailoring Trainer";
  ["Millie"] = "Millie Gregorian, Tailoring Supplies";
  ["LuciC"] = "Lucille Castleton, Robe Vendor";

  ["OranS"] = "Oran Snakewrithe";
  ["SamaS"] = "Samatha Shackleton";
  ["AndrB"] = "Andrew Brownell";

  ["UCarto"] = "Cartography";
  ["JorahA"] = "Jorah Annison";

  ["UBook"] = "Book Dealer";
  ["SalazB"] = "Salazar Bloch, Book Dealer";

  ["UReag"] = "Reagent Vendor";
  ["HannA"] = "Hannah Akeley, Reagent Supplies";

  ["URelic"] = "Relic Vendor";
  ["SilasZ"] = "Silas Zimmer";

  ["JList"] = "Josephine Lister, Master Shadoweave Tailor";

  ["CHalg"] = "Carendin Halgar";

  ["UpLevel"] = "Upper Level";
  ["LMort"] = "Lexington Mortaim, Portal Trainer";
  ["BIces"] = "Bethor Iceshard";

  ["RKerw"] = "Richard Kerwin, Warlock Trainer";

  ["AHart"] = "Anastasia Hartwell, Mage Trainer";

  ["LoLevel"] = "Lower Level";
  ["LPick"] = "Luther Pickman, Warlock Trainer";
  ["KaalS"] = "Kaal Soulreaper, Warlock Trainer";
  ["KaelyH"] = "Kaelystia Hatebringer, Mage Trainer";
  ["PiercS"] = "Pierce Shackleton, Mage Trainer";
  ["MartS"] = "Martha Strain";
  ["GodrF"] = "Godrick Farsan";

  ["ArmaC"] = "Armand Cromwell, Fishing Trainer";
  ["LizbC"] = "Lizbeth Cromwell 《钓鱼供应商》";

  --Orng
  ["RogQuart"] = "The Rogues' Quarter";

  ["UDag"] = "Daggers";
  ["CSeat"] = "Charles Seaton 《铸剑商》";
  ["NStee"] = "Nathaniel Steenwick, Thrown Weapon Merchant";

  ["UPois"] = "Poison";
  ["EGrav"] = "Ezekiel Graves 《毒药商》";

  ["MEdra"] = "Mary Edras, First Aid Trainer";

  ["ULeat"] = "Leather Work";
  ["ArthM"] = "Arthur Moore, Leatherworking Trainer";
  ["JoseM"] = "Joseph Moore, Leatherworking Supplies";
  ["GillM"] = "Gillian Moore, Leather Armor Merchant";
  ["KillH"] = "Killian Hagey, Skinning Trainer";

  ["UBag"] = "Bag Vendor";
  ["JonaC"] = "Jonathan Chambers, Bag Vendor";

  ["UEngin"] = "Engineering";
  ["FrankL"] = "Franklin Lloyd, Engineering Trainer";
  ["ElizVT"] = "Elizabeth Van Talen 《工程学供应商》";
  ["GrahVT"] = "Graham Van Talen, Apprentice Engineer";
  ["LucF"] = "Lucian Fenner";

  ["EsteG"] = "Estelle Gendry";

  ["CaroW"] = "Carolyn Ward, Rogue Trainer";
  ["MileD"] = "Miles Dexter, Rogue Trainer";
  ["GregC"] = "Gregory Charles, Rogue Trainer";
  ["MennC"] = "Mennet Carkard";

  ["WaltS"] = "Walter Soref 《锁匠》";

  --Red
  ["RoyalQua"] = "The Royal Quarter";

  ["LadWindr"] = "Lady Sylvanas Windrunner, Banshee Queen";
  ["Sharl"] = "Sharlindra";
  ["Varima"] = "Varimathras";
  ["ASunsor"] = "Ambassador Sunsorrow";
  ["CyssaD"] = "Champion Cyssa Dawnrose, Paladin Trainer";

  ["GrizHalf"] = "Grizzle Halfmane 《奥特兰克山谷军官》";

  ["RexPix"] = "Rex Pixem 《竞技场管理员》";

  ["SirMalo"] = "Sir Malory Wheeler 《阿拉希盆地军官》";

  ["Lyrlia"] = "Lyrlia Blackshield 《风暴之眼军官》";

  ["KurdB"] = "Kurden Bloodcalw, Warsong Gultch Battlemaster";
  ["SForth"] = "Sara Forthright 《远古海滩军官》";
  ["SForth&"] = "          Battlemaster";
};
end